// chnconv_cp.cpp

#include <windows.h>
#include "msc.h"
#include "codepage.h"
#include "chnconv_cp.h"

#undef CHNCONV_DLL
#include "chnconv.h"



// R[hy[W
const CODEPAGE_NAME CodePageNameList [] = {
   { CP_CHINESE_SIMPLIFIED,      "GB" },
   { CP_CHINESE_TRADITIONAL,     "BIG5" },
   { CP_JAPANESE_CW,             "CW" },
   { CP_JAPANESE_CWN,            "CWN" },
   { CP_JAPANESE_NH,             "NH" },
   { CP_JAPANESE_ZQ,             "ZQ" },
   { CP_JAPANESE_CX,             "CX" },
   { CP_JAPANESE_ZJ,             "ZJ" },
   { CP_HZ_CHINESE_SIMPLIFIED,   "HZ" },
   { CP_JAPANESE_TM,             "TM" },
   { CP_JAPANESE_FW,             "FW" },
} ;

const int CODEPAGE_NAME_LIST_NELEM = NELEMOF ( CodePageNameList ) ;



int IsNecChineseCodePage ( int nCodePage ) {

   switch ( nCodePage ) {
      case CP_JAPANESE_TM :
      case CP_JAPANESE_FW :
         return 1 ;
   }

   return 0 ;
}



