// conv_opt_gaiji.h

#ifndef CONV_OPT_GAIJI_H
#define CONV_OPT_GAIJI_H



typedef struct {

   CHNCONV_USERDEF *pSrcToDst ;
   size_t nNumberOfSrcToDst ;

   CHNCONV_USERDEF *pSrcToUc ;
   size_t nNumberOfSrcToUc ;

} GAIJIINFO ;



int ReadGaijiFileA ( const char *szGaijiFileName, int nSrcCodePage, int nDstCodePage, GAIJIINFO *pInfo, int *pErrorLineNumber ) ;
int ReadGaijiFileW ( const wchar_t *szGaijiFileName, int nSrcCodePage, int nDstCodePage, GAIJIINFO *pInfo, int *pErrorLineNumber ) ;
int FreeGaijiInfo ( GAIJIINFO *pInfo ) ;


#define GAIJI_FILENAME_A       "chnconv.gaiji.txt"
#define GAIJI_FILENAME_W      L"chnconv.gaiji.txt"

#define ENVNAME_NO_GAIJI_A     "CHNCONV_NO_GAIJI"
#define ENVNAME_NO_GAIJI_W    L"CHNCONV_NO_GAIJI"


#endif


