// conv_icon.h

#ifndef CONV_ICON_H
#define CONV_ICON_H

#ifdef __cplusplus
extern "C" {
#endif


// for CHNCONV.EXE and RTFCONV.EXE


int SetStatusIcon ( HWND hWnd, int nIndex, int nStatus ) ;
int DrawStatusIcon ( DRAWITEMSTRUCT *pDrawItem, int nIndex ) ;

int IsDlgItemIdConformable ( void ) ;
int DisplayControlSize ( HWND hWnd, int nId ) ;


#define STATUS_ICON_READY        0     // start must be zero
#define STATUS_ICON_NOW          1
#define STATUS_ICON_SUCCESS      2
#define STATUS_ICON_FAILURE      3
#define STATUS_ICON_NELEM        4


#ifdef __cplusplus
}
#endif

#endif
