#This is a makefile for nmake.exe

OUTDIR=Release
OBJDIR=Release
PROGRAM=chnc_cht.dll

ALL : "$(OUTDIR)" "$(OBJDIR)" "$(OUTDIR)\$(PROGRAM)"

CLEAN :
	-@erase "$(OBJDIR)\chnconv_mui.obj"
	-@erase "$(OBJDIR)\chnconv_cht.res"

"$(OUTDIR)" :
	if not exist $(OUTDIR)\nul mkdir "$(OUTDIR)"

CC=cl.exe
CCFLAGS=/nologo /c /W3 /MT /Gz /O2 /Ob1i- /EHsc /D __STDC__=1 /D "_CRT_DISABLE_PERFCRIT_LOCKS" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_USRDLL" /D WINVER=0x0400 /D _WIN32_WINNT=0x0400 /D _WIN32_IE=0x0200 /Fo"$(OBJDIR)\\"

.cpp{$(OBJDIR)}.obj::
	$(CC) @<<
	$(CCFLAGS) $<
<<

RC=rc.exe
RCFLAGS=/l 0x411 /d "NDEBUG" /n /fo$@

LD=link.exe
LDFLAGS=kernel32.lib user32.lib gdi32.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib comctl32.lib /nologo /subsystem:windows /dll /noentry /out:$@
OBJS= "$(OBJDIR)\chnconv_mui.obj" "$(OBJDIR)\chnconv_cht.res"

"$(OUTDIR)\$(PROGRAM)" : $(OBJS)
	$(LD) @<<
	$(LDFLAGS) $(OBJS)
<<

"$(OBJDIR)\chnconv_mui.obj" : chnconv_mui.cpp
"$(OBJDIR)\chnconv_cht.res" : chnconv_cht.rc chnconv_mui.rc resource.h
	$(RC) $(RCFLAGS) chnconv_cht.rc

