// brsfolder.h

#ifndef BRSFOLDER_H
#define BRSFOLDER_H


#ifdef __cplusplus
extern "C" {
#endif


LPITEMIDLIST WINAPI ShBrowseForFolderA ( HWND hWnd, LPCITEMIDLIST pInitial, const char *szTitle, const char *szMessage, unsigned long dwFlags ) ;
LPITEMIDLIST WINAPI ShBrowseForFolderW ( HWND hWnd, LPCITEMIDLIST pInitial, const wchar_t *szTitle, const wchar_t *szMessage, unsigned long dwFlags ) ;

int WINAPI BrowseForFolderA ( HWND hWnd, char *szSelectedFolder, const char *szInitialFolder, const char *szTitle, const char *szMessage, unsigned long dwFlags ) ;
int WINAPI BrowseForFolderW ( HWND hWnd, wchar_t *szSelectedFolder, const wchar_t *szInitialFolder, const wchar_t *szTitle, const wchar_t *szMessage, unsigned long dwFlags ) ;


#ifdef UNICODE
#define BrowseForFolder BrowseForFolderW
#else
#define BrowseForFolder BrowseForFolderA
#endif


#ifdef __cplusplus
}
#endif

#endif


