// conv_loaddll.cpp

#include <windows.h>
#include "msc.h"
#include "filename.h"

#define CONV_LOAD_GLOBAL(type,name)       extern type name ; type name = (type) 0
// C++ ł const ̓ftHgł͓ɂȂ̂ŁAextern ł̐錾Kv

#include "conv_loaddll.h"



#define MAX_DLL_PATH    ( MAX_PATH * 2 )



// hInstance ƓfBNg DLL [h
// DLL ̃nhԂ
HINSTANCE LoadDllA ( HINSTANCE hInstance, const char *szDllName ) {

   char szFileName [ MAX_DLL_PATH ] ;
   GetModuleFileNameA ( hInstance, szFileName, MAX_PATH ) ;
   ChangeFileNameA ( szFileName, szDllName ) ;

   return LoadLibraryA ( szFileName ) ;
}



// hInstance ƓfBNg DLL [h
// DLL ̃nhԂ
HINSTANCE LoadDllW ( HINSTANCE hInstance, const wchar_t *szDllName ) {

   wchar_t szFileName [ MAX_DLL_PATH ] ;
   GetModuleFileNameW ( hInstance, szFileName, MAX_PATH ) ;
   ChangeFileNameW ( szFileName, szDllName ) ;

   return LoadLibraryW ( szFileName ) ;
}



////////////////////////////////////////
//          RTFCONV.EXE/COM           //
////////////////////////////////////////
#if defined RTFCONV_EXE || defined RTFCONV_COM



// DLL [h
// G[N 0 ȊOԂ
int LoadRtfconvDll ( void ) {

   if ( ! hRtfconv ) {
      if ( IsNT () ) hRtfconv = LoadDllW ( NULL, L"rtfconv.dll" ) ;
      else           hRtfconv = LoadDllA ( NULL,  "rtfconv.dll" ) ;
   }

   if ( GETPROCADDRESS ( hRtfconv, RTFCONVEXA, RtfconvExA ) ) return 1 ;
   if ( GETPROCADDRESS ( hRtfconv, RTFCONVEXW, RtfconvExW ) ) return 1 ;
   if ( GETPROCADDRESS ( hRtfconv, ABORTRTFCONV, AbortRtfconv ) ) return 1 ;
#ifdef RTFCONV_COM
   if ( GETPROCADDRESS ( hRtfconv, GETDLLVERSION, GetDllVersion ) ) return 1 ;
#endif

   return 0 ;
}



#endif // end of #if defined RTFCONV_EXE || defined RTFCONV_COM



////////////////////////////////////////
//          CHNCONV.EXE/COM           //
////////////////////////////////////////
#if defined CHNCONV_EXE || defined CHNCONV_COM



// DLL [h
// G[N 0 ȊOԂ
int LoadChnconvDll ( void ) {

   if ( ! hChnconv ) {
      if ( IsNT () ) hChnconv = LoadDllW ( NULL, L"chnconv.dll" ) ;
      else           hChnconv = LoadDllA ( NULL,  "chnconv.dll" ) ;
   }

   if ( GETPROCADDRESS ( hChnconv, CHNCONVEXA, ChnconvExA ) ) return 1 ;
   if ( GETPROCADDRESS ( hChnconv, CHNCONVEXW, ChnconvExW ) ) return 1 ;
   if ( GETPROCADDRESS ( hChnconv, ABORTCHNCONV, AbortChnconv ) ) return 1 ;
   if ( GETPROCADDRESS ( hChnconv, GETDLLVERSION, GetDllVersion ) ) return 1 ;

   return 0 ;
}



#endif // end of #if defined CHNCONV_EXE || defined CHNCONV_COM
