// hkscs.cpp

#include "msc.h"
#include "hkscs.h"



///////////////////////////////////////////////////////////////////////////////////////
//                          HKSCS (UNICODE PUA) --> UNICODE
///////////////////////////////////////////////////////////////////////////////////////


#define  HkUni2uniTable_00  NULL
#define  HkUni2uniTable_01  NULL
#define  HkUni2uniTable_02  NULL
#define  HkUni2uniTable_03  NULL
#define  HkUni2uniTable_04  NULL
#define  HkUni2uniTable_05  NULL
#define  HkUni2uniTable_06  NULL
#define  HkUni2uniTable_07  NULL
#define  HkUni2uniTable_08  NULL
#define  HkUni2uniTable_09  NULL
#define  HkUni2uniTable_0A  NULL
#define  HkUni2uniTable_0B  NULL
#define  HkUni2uniTable_0C  NULL
#define  HkUni2uniTable_0D  NULL
#define  HkUni2uniTable_0E  NULL
#define  HkUni2uniTable_0F  NULL
#define  HkUni2uniTable_10  NULL
#define  HkUni2uniTable_11  NULL
#define  HkUni2uniTable_12  NULL
#define  HkUni2uniTable_13  NULL
#define  HkUni2uniTable_14  NULL
#define  HkUni2uniTable_15  NULL
#define  HkUni2uniTable_16  NULL
#define  HkUni2uniTable_17  NULL
#define  HkUni2uniTable_18  NULL
#define  HkUni2uniTable_19  NULL
#define  HkUni2uniTable_1A  NULL
#define  HkUni2uniTable_1B  NULL
#define  HkUni2uniTable_1C  NULL
#define  HkUni2uniTable_1D  NULL
#define  HkUni2uniTable_1E  NULL
#define  HkUni2uniTable_1F  NULL
#define  HkUni2uniTable_20  NULL
#define  HkUni2uniTable_21  NULL
#define  HkUni2uniTable_22  NULL
#define  HkUni2uniTable_23  NULL
#define  HkUni2uniTable_24  NULL

static const unsigned short HkUni2uniTable_25 [] = {
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x250x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x251x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x252x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x253x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x254x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x255x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x256x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x257x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x258x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0xFFED,  0,       0,       0,       0,       // 0x259x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Ax
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Bx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Cx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Dx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Ex
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0x25Fx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;

#define  HkUni2uniTable_26  NULL
#define  HkUni2uniTable_27  NULL
#define  HkUni2uniTable_28  NULL
#define  HkUni2uniTable_29  NULL
#define  HkUni2uniTable_2A  NULL
#define  HkUni2uniTable_2B  NULL
#define  HkUni2uniTable_2C  NULL
#define  HkUni2uniTable_2D  NULL
#define  HkUni2uniTable_2E  NULL
#define  HkUni2uniTable_2F  NULL
#define  HkUni2uniTable_30  NULL
#define  HkUni2uniTable_31  NULL
#define  HkUni2uniTable_32  NULL
#define  HkUni2uniTable_33  NULL
#define  HkUni2uniTable_34  NULL
#define  HkUni2uniTable_35  NULL
#define  HkUni2uniTable_36  NULL
#define  HkUni2uniTable_37  NULL
#define  HkUni2uniTable_38  NULL
#define  HkUni2uniTable_39  NULL
#define  HkUni2uniTable_3A  NULL
#define  HkUni2uniTable_3B  NULL
#define  HkUni2uniTable_3C  NULL
#define  HkUni2uniTable_3D  NULL
#define  HkUni2uniTable_3E  NULL
#define  HkUni2uniTable_3F  NULL
#define  HkUni2uniTable_40  NULL
#define  HkUni2uniTable_41  NULL
#define  HkUni2uniTable_42  NULL
#define  HkUni2uniTable_43  NULL
#define  HkUni2uniTable_44  NULL
#define  HkUni2uniTable_45  NULL
#define  HkUni2uniTable_46  NULL
#define  HkUni2uniTable_47  NULL
#define  HkUni2uniTable_48  NULL
#define  HkUni2uniTable_49  NULL
#define  HkUni2uniTable_4A  NULL
#define  HkUni2uniTable_4B  NULL
#define  HkUni2uniTable_4C  NULL
#define  HkUni2uniTable_4D  NULL
#define  HkUni2uniTable_4E  NULL
#define  HkUni2uniTable_4F  NULL
#define  HkUni2uniTable_50  NULL
#define  HkUni2uniTable_51  NULL
#define  HkUni2uniTable_52  NULL
#define  HkUni2uniTable_53  NULL
#define  HkUni2uniTable_54  NULL
#define  HkUni2uniTable_55  NULL
#define  HkUni2uniTable_56  NULL
#define  HkUni2uniTable_57  NULL
#define  HkUni2uniTable_58  NULL
#define  HkUni2uniTable_59  NULL
#define  HkUni2uniTable_5A  NULL
#define  HkUni2uniTable_5B  NULL
#define  HkUni2uniTable_5C  NULL
#define  HkUni2uniTable_5D  NULL
#define  HkUni2uniTable_5E  NULL
#define  HkUni2uniTable_5F  NULL
#define  HkUni2uniTable_60  NULL
#define  HkUni2uniTable_61  NULL
#define  HkUni2uniTable_62  NULL
#define  HkUni2uniTable_63  NULL
#define  HkUni2uniTable_64  NULL
#define  HkUni2uniTable_65  NULL
#define  HkUni2uniTable_66  NULL
#define  HkUni2uniTable_67  NULL
#define  HkUni2uniTable_68  NULL
#define  HkUni2uniTable_69  NULL
#define  HkUni2uniTable_6A  NULL
#define  HkUni2uniTable_6B  NULL
#define  HkUni2uniTable_6C  NULL
#define  HkUni2uniTable_6D  NULL
#define  HkUni2uniTable_6E  NULL
#define  HkUni2uniTable_6F  NULL
#define  HkUni2uniTable_70  NULL
#define  HkUni2uniTable_71  NULL
#define  HkUni2uniTable_72  NULL
#define  HkUni2uniTable_73  NULL
#define  HkUni2uniTable_74  NULL
#define  HkUni2uniTable_75  NULL
#define  HkUni2uniTable_76  NULL
#define  HkUni2uniTable_77  NULL
#define  HkUni2uniTable_78  NULL
#define  HkUni2uniTable_79  NULL
#define  HkUni2uniTable_7A  NULL
#define  HkUni2uniTable_7B  NULL
#define  HkUni2uniTable_7C  NULL
#define  HkUni2uniTable_7D  NULL
#define  HkUni2uniTable_7E  NULL
#define  HkUni2uniTable_7F  NULL
#define  HkUni2uniTable_80  NULL
#define  HkUni2uniTable_81  NULL
#define  HkUni2uniTable_82  NULL
#define  HkUni2uniTable_83  NULL
#define  HkUni2uniTable_84  NULL
#define  HkUni2uniTable_85  NULL
#define  HkUni2uniTable_86  NULL
#define  HkUni2uniTable_87  NULL
#define  HkUni2uniTable_88  NULL
#define  HkUni2uniTable_89  NULL
#define  HkUni2uniTable_8A  NULL
#define  HkUni2uniTable_8B  NULL
#define  HkUni2uniTable_8C  NULL
#define  HkUni2uniTable_8D  NULL
#define  HkUni2uniTable_8E  NULL
#define  HkUni2uniTable_8F  NULL
#define  HkUni2uniTable_90  NULL
#define  HkUni2uniTable_91  NULL
#define  HkUni2uniTable_92  NULL
#define  HkUni2uniTable_93  NULL
#define  HkUni2uniTable_94  NULL
#define  HkUni2uniTable_95  NULL
#define  HkUni2uniTable_96  NULL
#define  HkUni2uniTable_97  NULL
#define  HkUni2uniTable_98  NULL
#define  HkUni2uniTable_99  NULL
#define  HkUni2uniTable_9A  NULL
#define  HkUni2uniTable_9B  NULL
#define  HkUni2uniTable_9C  NULL
#define  HkUni2uniTable_9D  NULL
#define  HkUni2uniTable_9E  NULL
#define  HkUni2uniTable_9F  NULL
#define  HkUni2uniTable_A0  NULL
#define  HkUni2uniTable_A1  NULL
#define  HkUni2uniTable_A2  NULL
#define  HkUni2uniTable_A3  NULL
#define  HkUni2uniTable_A4  NULL
#define  HkUni2uniTable_A5  NULL
#define  HkUni2uniTable_A6  NULL
#define  HkUni2uniTable_A7  NULL
#define  HkUni2uniTable_A8  NULL
#define  HkUni2uniTable_A9  NULL
#define  HkUni2uniTable_AA  NULL
#define  HkUni2uniTable_AB  NULL
#define  HkUni2uniTable_AC  NULL
#define  HkUni2uniTable_AD  NULL
#define  HkUni2uniTable_AE  NULL
#define  HkUni2uniTable_AF  NULL
#define  HkUni2uniTable_B0  NULL
#define  HkUni2uniTable_B1  NULL
#define  HkUni2uniTable_B2  NULL
#define  HkUni2uniTable_B3  NULL
#define  HkUni2uniTable_B4  NULL
#define  HkUni2uniTable_B5  NULL
#define  HkUni2uniTable_B6  NULL
#define  HkUni2uniTable_B7  NULL
#define  HkUni2uniTable_B8  NULL
#define  HkUni2uniTable_B9  NULL
#define  HkUni2uniTable_BA  NULL
#define  HkUni2uniTable_BB  NULL
#define  HkUni2uniTable_BC  NULL
#define  HkUni2uniTable_BD  NULL
#define  HkUni2uniTable_BE  NULL
#define  HkUni2uniTable_BF  NULL
#define  HkUni2uniTable_C0  NULL
#define  HkUni2uniTable_C1  NULL
#define  HkUni2uniTable_C2  NULL
#define  HkUni2uniTable_C3  NULL
#define  HkUni2uniTable_C4  NULL
#define  HkUni2uniTable_C5  NULL
#define  HkUni2uniTable_C6  NULL
#define  HkUni2uniTable_C7  NULL
#define  HkUni2uniTable_C8  NULL
#define  HkUni2uniTable_C9  NULL
#define  HkUni2uniTable_CA  NULL
#define  HkUni2uniTable_CB  NULL
#define  HkUni2uniTable_CC  NULL
#define  HkUni2uniTable_CD  NULL
#define  HkUni2uniTable_CE  NULL
#define  HkUni2uniTable_CF  NULL
#define  HkUni2uniTable_D0  NULL
#define  HkUni2uniTable_D1  NULL
#define  HkUni2uniTable_D2  NULL
#define  HkUni2uniTable_D3  NULL
#define  HkUni2uniTable_D4  NULL
#define  HkUni2uniTable_D5  NULL
#define  HkUni2uniTable_D6  NULL
#define  HkUni2uniTable_D7  NULL
#define  HkUni2uniTable_D8  NULL
#define  HkUni2uniTable_D9  NULL
#define  HkUni2uniTable_DA  NULL
#define  HkUni2uniTable_DB  NULL
#define  HkUni2uniTable_DC  NULL
#define  HkUni2uniTable_DD  NULL
#define  HkUni2uniTable_DE  NULL
#define  HkUni2uniTable_DF  NULL

static const unsigned short HkUni2uniTable_E0 [] = {
      0x0547,  0x92DB,  0x05DF,  0x3FC5,  0x854C,  0x42B5,  0x73EF,  0x51B5,  // 0xE00x
      0x3649,  0x4942,  0x89E4,  0x9344,  0x19DB,  0x82EE,  0x3CC8,  0x783C,  
      0x6744,  0x62DF,  0x4933,  0x89AA,  0x02A0,  0x6BB3,  0x1305,  0x4FAB,  // 0xE01x
      0x24ED,  0x5008,  0x6D29,  0x7A84,  0x3600,  0x4AB1,  0x2513,  0x5029,  
      0x037E,  0x5FA4,  0x0380,  0x0347,  0x6EDB,  0x041F,  0x507D,  0x5101,  // 0xE02x
      0x347A,  0x510E,  0x986C,  0x3743,  0x8416,  0x49A4,  0x0487,  0x5160,  
      0x33B4,  0x516A,  0x0BFF,  0x20FC,  0x02E5,  0x2530,  0x058E,  0x3233,  // 0xE03x
      0x1983,  0x5B82,  0x877D,  0x05B3,  0x3C99,  0x51B2,  0x51B8,  0x9D34,  
      0x51C9,  0x51CF,  0x51D1,  0x3CDC,  0x51D3,  0x4AA6,  0x51B3,  0x51E2,  // 0xE04x
      0x5342,  0x51ED,  0x83CD,  0x693E,  0x372D,  0x5F7B,  0x520B,  0x5226,  
      0x523C,  0x52B5,  0x5257,  0x5294,  0x52B9,  0x52C5,  0x7C15,  0x8542,  // 0xE05x
      0x52E0,  0x860D,  0x6B13,  0x5305,  0x8ADE,  0x5549,  0x6ED9,  0x3F80,  
      0x0954,  0x3FEC,  0x5333,  0x5344,  0x0BE2,  0x6CCB,  0x1726,  0x681B,  // 0xE06x
      0x73D5,  0x604A,  0x3EAA,  0x38CC,  0x16E8,  0x71DD,  0x44A2,  0x536D,  
      0x5374,  0x86AB,  0x537E,  0x537F,  0x1596,  0x1613,  0x77E6,  0x5393,  // 0xE07x
      0x8A9B,  0x53A0,  0x53AB,  0x53AE,  0x73A7,  0x5772,  0x3F59,  0x739C,  
      0x53C1,  0x53C5,  0x6C49,  0x4E49,  0x57FE,  0x53D9,  0x3AAB,  0x0B8F,  // 0xE08x
      0x53E0,  0x3FEB,  0x2DA3,  0x53F6,  0x0C77,  0x5413,  0x7079,  0x552B,  
      0x6657,  0x6D5B,  0x546D,  0x6B53,  0x0D74,  0x555D,  0x548F,  0x54A4,  // 0xE09x
      0x47A6,  0x170D,  0x0EDD,  0x3DB4,  0x0D4D,  0x89BC,  0x2698,  0x5547,  
      0x4CED,  0x542F,  0x7417,  0x5586,  0x55A9,  0x5605,  0x18D7,  0x403A,  // 0xE0Ax
      0x4552,  0x4435,  0x66B3,  0x10B4,  0x5637,  0x66CD,  0x328A,  0x66A4,  
      0x66AD,  0x564D,  0x564F,  0x78F1,  0x56F1,  0x9787,  0x53FE,  0x5700,  // 0xE0Bx
      0x56EF,  0x56ED,  0x8B66,  0x3623,  0x124F,  0x5746,  0x41A5,  0x6C6E,  
      0x708B,  0x5742,  0x36B1,  0x6C7E,  0x57E6,  0x1416,  0x5803,  0x1454,  // 0xE0Cx
      0x4363,  0x5826,  0x4BF5,  0x585C,  0x58AA,  0x3561,  0x58E0,  0x58DC,  
      0x123C,  0x58FB,  0x5BFF,  0x5743,  0xA150,  0x4278,  0x93D3,  0x35A1,  // 0xE0Dx
      0x591F,  0x68A6,  0x36C3,  0x6E59,  0x163E,  0x5A24,  0x5553,  0x1692,  
      0x8505,  0x59C9,  0x0D4E,  0x6C81,  0x6D2A,  0x17DC,  0x59D9,  0x17FB,  // 0xE0Ex
      0x17B2,  0x6DA6,  0x6D71,  0x1828,  0x16D5,  0x59F9,  0x6E45,  0x5AAB,  
      0x5A63,  0x36E6,  0x49A9,  0x5A77,  0x3708,  0x5A96,  0x7465,  0x5AD3,  // 0xE0Fx
      0x6FA1,  0x2554,  0x3D85,  0x1911,  0x3732,  0x16B8,  0x5E83,  0x52D0,  
} ;


static const unsigned short HkUni2uniTable_E1 [] = {
      0x5B76,  0x6588,  0x5B7C,  0x7A0E,  0x4004,  0x485D,  0x0204,  0x5BD5,  // 0xE10x
      0x6160,  0x1A34,  0x59CC,  0x05A5,  0x5BF3,  0x5B9D,  0x4D10,  0x5C05,  
      0x1B44,  0x5C13,  0x73CE,  0x5C14,  0x1CA5,  0x6B28,  0x5C49,  0x48DD,  // 0xE11x
      0x5C85,  0x5CE9,  0x5CEF,  0x5D8B,  0x1DF9,  0x1E37,  0x5D10,  0x5D18,  
      0x5D46,  0x1EA4,  0x5CBA,  0x5DD7,  0x82FC,  0x382D,  0x4901,  0x2049,  // 0xE12x
      0x2173,  0x8287,  0x3836,  0x3BC2,  0x5E2E,  0x6A8A,  0x5E75,  0x5E7A,  
      0x44BC,  0x0CD3,  0x53A6,  0x4EB7,  0x5ED0,  0x53A8,  0x1771,  0x5E09,  // 0xE13x
      0x5EF4,  0x8482,  0x5EF9,  0x5EFB,  0x38A0,  0x5EFC,  0x683E,  0x941B,  
      0x5F0D,  0x01C1,  0xF894,  0x3ADE,  0x48AE,  0x133A,  0x5F3A,  0x6888,  // 0xE14x
      0x23D0,  0x5F58,  0x2471,  0x5F63,  0x97BD,  0x6E6E,  0x5F72,  0x9340,  
      0x8A36,  0x5FA7,  0x5DB6,  0x3D5F,  0x5250,  0x1F6A,  0x70F8,  0x2668,  // 0xE15x
      0x91D6,  0x029E,  0x8A29,  0x6031,  0x6685,  0x1877,  0x3963,  0x3DC7,  
      0x3639,  0x5790,  0x27B4,  0x7971,  0x3E40,  0x609E,  0x60A4,  0x60B3,  // 0xE16x
      0x4982,  0x498F,  0x7A53,  0x74A4,  0x50E1,  0x5AA0,  0x6164,  0x8424,  
      0x6142,  0xF8A6,  0x6ED2,  0x6181,  0x51F4,  0x0656,  0x6187,  0x5BAA,  // 0xE17x
      0x3FB7,  0x285F,  0x61D3,  0x8B9D,  0x995D,  0x61D0,  0x3932,  0x2980,  
      0x28C1,  0x6023,  0x615C,  0x651E,  0x638B,  0x0118,  0x62C5,  0x1770,  // 0xE18x
      0x62D5,  0x2E0D,  0x636C,  0x49DF,  0x3A17,  0x6438,  0x63F8,  0x138E,  
      0x17FC,  0x6490,  0x6F8A,  0x2E36,  0x9814,  0x408C,  0x571D,  0x64E1,  // 0xE19x
      0x64E5,  0x947B,  0x3A66,  0x643A,  0x3A57,  0x654D,  0x6F16,  0x4A28,  
      0x4A23,  0x6585,  0x656D,  0x655F,  0x307E,  0x65B5,  0x4940,  0x4B37,  // 0xE1Ax
      0x65D1,  0x40D8,  0x1829,  0x65E0,  0x65E3,  0x5FDF,  0x3400,  0x6618,  
      0x31F7,  0x31F8,  0x6644,  0x31A4,  0x31A5,  0x664B,  0x0E75,  0x6667,  // 0xE1Bx
      0x51E6,  0x6673,  0x6674,  0x1E3D,  0x3231,  0x85F4,  0x31C8,  0x5313,  
      0x77C5,  0x28F7,  0x99A4,  0x6702,  0x439C,  0x4A21,  0x3B2B,  0x69FA,  // 0xE1Cx
      0x37C2,  0x675E,  0x6767,  0x6762,  0x41CD,  0x90ED,  0x67D7,  0x44E9,  
      0x6822,  0x6E50,  0x923C,  0x6801,  0x33E6,  0x6DA0,  0x685D,  0x346F,  // 0xE1Dx
      0x69E1,  0x6A0B,  0x8ADF,  0x6973,  0x68C3,  0x35CD,  0x6901,  0x6900,  
      0x3D32,  0x3A01,  0x363C,  0x3B80,  0x67AC,  0x6961,  0x8A4A,  0x42FC,  // 0xE1Ex
      0x6936,  0x6998,  0x3BA1,  0x03C9,  0x8363,  0x5090,  0x69F9,  0x3659,  
      0x212A,  0x6A45,  0x3703,  0x6A9D,  0x3BF3,  0x67B1,  0x6AC8,  0x919C,  // 0xE1Fx
      0x3C0D,  0x6B1D,  0x0923,  0x60DE,  0x6B35,  0x6B74,  0x27CD,  0x6EB5,  
} ;


static const unsigned short HkUni2uniTable_E2 [] = {
      0x3ADB,  0x03B5,  0x1958,  0x3740,  0x5421,  0x3B5A,  0x6BE1,  0x3EFC,  // 0xE20x
      0x6BDC,  0x6C37,  0x248B,  0x48F1,  0x6B51,  0x6C5A,  0x8226,  0x6C79,  
      0x3DBC,  0x44C5,  0x3DBD,  0x41A4,  0x490C,  0x4900,  0x3CC9,  0x36E5,  // 0xE21x
      0x3CEB,  0x0D32,  0x9B83,  0x31F9,  0x2491,  0x7F8F,  0x6837,  0x6D25,  
      0x6DA1,  0x6DEB,  0x6D96,  0x6D5C,  0x6E7C,  0x6F04,  0x497F,  0x4085,  // 0xE22x
      0x6E72,  0x8533,  0x6F74,  0x51C7,  0x6C9C,  0x6E1D,  0x842E,  0x8B21,  
      0x6E2F,  0x3E2F,  0x7453,  0x3F82,  0x79CC,  0x6E4F,  0x5A91,  0x304B,  // 0xE23x
      0x6FF8,  0x370D,  0x6F9D,  0x3E30,  0x6EFA,  0x1497,  0x403D,  0x4555,  
      0x93F0,  0x6F44,  0x6F5C,  0x3D4E,  0x6F74,  0x9170,  0x3D3B,  0x6F9F,  // 0xE24x
      0x4144,  0x6FD3,  0x4091,  0x4155,  0x4039,  0x3FF0,  0x3FB4,  0x413F,  
      0x51DF,  0x4156,  0x4157,  0x4140,  0x61DD,  0x704B,  0x707E,  0x70A7,  // 0xE25x
      0x7081,  0x70CC,  0x70D5,  0x70D6,  0x70DF,  0x4104,  0x3DE8,  0x71B4,  
      0x7196,  0x4277,  0x712B,  0x7145,  0x5A88,  0x714A,  0x716E,  0x5C9C,  // 0xE26x
      0x4365,  0x714F,  0x9362,  0x42C1,  0x712C,  0x445A,  0x4A27,  0x4A22,  
      0x71BA,  0x8BE8,  0x70BD,  0x720E,  0x9442,  0x7215,  0x5911,  0x9443,  // 0xE27x
      0x7224,  0x9341,  0x5605,  0x722E,  0x7240,  0x4974,  0x68BD,  0x7255,  
      0x7257,  0x3E55,  0x3044,  0x680D,  0x6F3D,  0x7282,  0x732A,  0x732B,  // 0xE28x
      0x4823,  0x882B,  0x48ED,  0x8804,  0x7328,  0x732E,  0x73CF,  0x73AA,  
      0x0C3A,  0x6A2E,  0x73C9,  0x7449,  0x41E2,  0x16E7,  0x4A24,  0x6623,  // 0xE29x
      0x36C5,  0x49B7,  0x498D,  0x49FB,  0x73F7,  0x7415,  0x6903,  0x4A26,  
      0x7439,  0x05C3,  0x3ED7,  0x745C,  0x28AD,  0x7460,  0x8EB2,  0x7447,  // 0xE2Ax
      0x73E4,  0x7476,  0x83B9,  0x746C,  0x3730,  0x7474,  0x93F1,  0x6A2C,  
      0x7482,  0x4953,  0x4A8C,  0x415F,  0x4A79,  0x8B8F,  0x5B46,  0x8C03,  // 0xE2Bx
      0x189E,  0x74C8,  0x1988,  0x750E,  0x74E9,  0x751E,  0x8ED9,  0x1A4B,  
      0x5BD7,  0x8EAC,  0x9385,  0x754D,  0x754A,  0x7567,  0x756E,  0x4F82,  // 0xE2Cx
      0x3F04,  0x4D13,  0x758E,  0x745D,  0x759E,  0x75B4,  0x7602,  0x762C,  
      0x7651,  0x764F,  0x766F,  0x7676,  0x63F5,  0x7690,  0x81EF,  0x37F8,  // 0xE2Dx
      0x6911,  0x690E,  0x76A1,  0x76A5,  0x76B7,  0x76CC,  0x6F9F,  0x8462,  
      0x509D,  0x517D,  0x1E1C,  0x771E,  0x7726,  0x7740,  0x64AF,  0x5220,  // 0xE2Ex
      0x7758,  0x32AC,  0x77AF,  0x8964,  0x8968,  0x16C1,  0x77F4,  0x7809,  
      0x1376,  0x4A12,  0x68CA,  0x78AF,  0x78C7,  0x78D3,  0x96A5,  0x792E,  // 0xE2Fx
      0x55E0,  0x78D7,  0x7934,  0x78B1,  0x760C,  0x8FB8,  0x8884,  0x8B2B,  
} ;


static const unsigned short HkUni2uniTable_E3 [] = {
      0x6083,  0x261C,  0x7986,  0x8900,  0x6902,  0x7980,  0x5857,  0x799D,  // 0xE30x
      0x7B39,  0x793C,  0x79A9,  0x6E2A,  0x7126,  0x3EA8,  0x79C6,  0x910D,  
      0x79D4,  0x3ED7,  0x57BE,  0x6ED3,  0x713E,  0x57E0,  0x364E,  0x69A2,  // 0xE31x
      0x8BE9,  0x5B74,  0x7A49,  0x58E1,  0x94D9,  0x7A65,  0x7A7D,  0x59AC,  
      0x7ABB,  0x7AB0,  0x7AC2,  0x7AC3,  0x71D1,  0x648D,  0x41CA,  0x7ADA,  // 0xE32x
      0x7ADD,  0x7AEA,  0x41EF,  0x54B2,  0x5C01,  0x7B0B,  0x7B55,  0x7B29,  
      0x530E,  0x5CFE,  0x7BA2,  0x7B6F,  0x839C,  0x5BB4,  0x6C7F,  0x7BD0,  // 0xE33x
      0x8421,  0x7B92,  0x7BB8,  0x5D20,  0x3DAD,  0x5C65,  0x8492,  0x7BFA,  
      0x7C06,  0x7C35,  0x5CC1,  0x7C44,  0x7C83,  0x4882,  0x7CA6,  0x667D,  // 0xE34x
      0x4578,  0x7CC9,  0x7CC7,  0x7CE6,  0x7C74,  0x7CF3,  0x7CF5,  0x7CCE,  
      0x7E67,  0x451D,  0x6E44,  0x7D5D,  0x6ED6,  0x748D,  0x7D89,  0x7DAB,  // 0xE35x
      0x7135,  0x7DB3,  0x7DD2,  0x4057,  0x6029,  0x7DE4,  0x3D13,  0x7DF5,  
      0x17F9,  0x7DE5,  0x836D,  0x7E1D,  0x6121,  0x615A,  0x7E6E,  0x7E92,  // 0xE36x
      0x432B,  0x946C,  0x7E27,  0x7F40,  0x7F41,  0x7F47,  0x7936,  0x62D0,  
      0x99E1,  0x7F97,  0x6351,  0x7FA3,  0x1661,  0x0068,  0x455C,  0x3766,  // 0xE37x
      0x4503,  0x833A,  0x7FFA,  0x6489,  0x8005,  0x8008,  0x801D,  0x8028,  
      0x802F,  0xA087,  0x6CC3,  0x803B,  0x803C,  0x8061,  0x2714,  0x4989,  // 0xE38x
      0x6626,  0x3DE3,  0x66E8,  0x6725,  0x80A7,  0x8A48,  0x8107,  0x811A,  
      0x58B0,  0x26F6,  0x6C7F,  0x6498,  0x4FB8,  0x64E7,  0x148A,  0x8218,  // 0xE39x
      0x185E,  0x6A53,  0x4A65,  0x4A95,  0x447A,  0x8229,  0x0B0D,  0x6A52,  
      0x3D7E,  0x4FF9,  0x14FD,  0x84E2,  0x8362,  0x6B0A,  0x49A7,  0x3530,  // 0xE3Ax
      0x1773,  0x3DF8,  0x82AA,  0x691B,  0xF994,  0x41DB,  0x854B,  0x82D0,  
      0x831A,  0x0E16,  0x17B4,  0x36C1,  0x317D,  0x355A,  0x827B,  0x82E2,  // 0xE3Bx
      0x8318,  0x3E8B,  0x6DA3,  0x6B05,  0x6B97,  0x35CE,  0x3DBF,  0x831D,  
      0x55EC,  0x8385,  0x450B,  0x6DA5,  0x83AC,  0x83C1,  0x83D3,  0x347E,  // 0xE3Cx
      0x6ED4,  0x6A57,  0x855A,  0x3496,  0x6E42,  0x2EEF,  0x8458,  0x5BE4,  
      0x8471,  0x3DD3,  0x44E4,  0x6AA7,  0x844A,  0x3CB5,  0x7958,  0x84A8,  // 0xE3Dx
      0x6B96,  0x6E77,  0x6E43,  0x84DE,  0x840F,  0x8391,  0x44A0,  0x8493,  
      0x84E4,  0x5C91,  0x4240,  0x5CC0,  0x4543,  0x8534,  0x5AF2,  0x6E99,  // 0xE3Ex
      0x4527,  0x8573,  0x4516,  0x67BF,  0x8616,  0x8625,  0x863B,  0x85C1,  
      0x7088,  0x8602,  0x1582,  0x70CD,  0xF9B2,  0x456A,  0x8628,  0x3648,  // 0xE3Fx
      0x18A2,  0x53F7,  0x739A,  0x867E,  0x8771,  0xA0F8,  0x87EE,  0x2C27,  
} ;


static const unsigned short HkUni2uniTable_E4 [] = {
      0x87B1,  0x87DA,  0x880F,  0x5661,  0x866C,  0x6856,  0x460F,  0x8845,  // 0xE40x
      0x8846,  0x75E0,  0x3DB9,  0x75E4,  0x885E,  0x889C,  0x465B,  0x88B4,  
      0x88B5,  0x63C1,  0x88C5,  0x7777,  0x770F,  0x8987,  0x898A,  0x89A6,  // 0xE41x
      0x89A9,  0x89A7,  0x89BC,  0x8A25,  0x89E7,  0x7924,  0x7ABD,  0x8A9C,  
      0x7793,  0x91FE,  0x8A90,  0x7A59,  0x7AE9,  0x7B3A,  0x3F8F,  0x4713,  // 0xE42x
      0x7B38,  0x717C,  0x8B0C,  0x8B1F,  0x5430,  0x5565,  0x8B3F,  0x8B4C,  
      0x8B4D,  0x8AA9,  0x4A7A,  0x8B90,  0x8B9B,  0x8AAF,  0x16DF,  0x4615,  // 0xE43x
      0x884F,  0x8C9B,  0x7D54,  0x7D8F,  0xF9D4,  0x3725,  0x7D53,  0x8CD6,  
      0x7D98,  0x7DBD,  0x8D12,  0x8D03,  0x1910,  0x8CDB,  0x705C,  0x8D11,  // 0xE44x
      0x4CC9,  0x3ED0,  0x8D77,  0x8DA9,  0x8002,  0x1014,  0x498A,  0x3B7C,  
      0x81BC,  0x710C,  0x7AE7,  0x8EAD,  0x8EB6,  0x8EC3,  0x92D4,  0x8F19,  // 0xE45x
      0x8F2D,  0x8365,  0x8412,  0x8FA5,  0x9303,  0xA29F,  0x0A50,  0x8FB3,  
      0x492A,  0x89DE,  0x853D,  0x3DBB,  0x5EF8,  0x3262,  0x8FF9,  0xA014,  // 0xE46x
      0x86BC,  0x8501,  0x2325,  0x3980,  0x6ED7,  0x9037,  0x853C,  0x7ABE,  
      0x9061,  0x856C,  0x860B,  0x90A8,  0x8713,  0x90C4,  0x86E6,  0x90AE,  // 0xE47x
      0x90FD,  0x9167,  0x3AF0,  0x91A9,  0x91C4,  0x7CAC,  0x8933,  0x1E89,  
      0x920E,  0x6C9F,  0x9241,  0x9262,  0x55B9,  0x92B9,  0x8AC6,  0x3C9B,  // 0xE48x
      0x8B0C,  0x55DB,  0x0D31,  0x932C,  0x936B,  0x8AE1,  0x8BEB,  0x708F,  
      0x5AC3,  0x8AE2,  0x8AE5,  0x4965,  0x9244,  0x8BEC,  0x8C39,  0x8BFF,  // 0xE49x
      0x9373,  0x945B,  0x8EBC,  0x9585,  0x95A6,  0x9426,  0x95A0,  0x6FF6,  
      0x42B9,  0x267A,  0x86D8,  0x127C,  0x3E2E,  0x49DF,  0x6C1C,  0x967B,  // 0xE4Ax
      0x9696,  0x416C,  0x96A3,  0x6ED5,  0x61DA,  0x96B6,  0x78F5,  0x8AE0,  
      0x96BD,  0x53CC,  0x49A1,  0x6CB8,  0x0274,  0x6410,  0x90AF,  0x90E5,  // 0xE4Bx
      0x4AD1,  0x1915,  0x330A,  0x9731,  0x8642,  0x9736,  0x4A0F,  0x453D,  
      0x4585,  0x4AE9,  0x7075,  0x5B41,  0x971B,  0x975C,  0x91D5,  0x9757,  // 0xE4Cx
      0x5B4A,  0x91EB,  0x975F,  0x9425,  0x50D0,  0x30B7,  0x30BC,  0x9789,  
      0x979F,  0x97B1,  0x97BE,  0x97C0,  0x97D2,  0x97E0,  0x546C,  0x97EE,  // 0xE4Dx
      0x741C,  0x9433,  0x97FF,  0x97F5,  0x941D,  0x797A,  0x4AD1,  0x9834,  
      0x9833,  0x984B,  0x9866,  0x3B0E,  0x7175,  0x3D51,  0x0630,  0x415C,  // 0xE4Ex
      0x5706,  0x98CA,  0x98B7,  0x98C8,  0x98C7,  0x4AFF,  0x6D27,  0x16D3,  
      0x55B0,  0x98E1,  0x98E6,  0x98EC,  0x9378,  0x9939,  0x4A29,  0x4B72,  // 0xE4Fx
      0x9857,  0x9905,  0x99F5,  0x9A0C,  0x9A3B,  0x9A10,  0x9A58,  0x5725,  
} ;


static const unsigned short HkUni2uniTable_E5 [] = {
      0x36C4,  0x90B1,  0x9BD5,  0x9AE0,  0x9AE2,  0x9B05,  0x9AF4,  0x4C0E,  // 0xE50x
      0x9B14,  0x9B2D,  0x8600,  0x5034,  0x9B34,  0x69A8,  0x38C3,  0x307D,  
      0x9B50,  0x9B40,  0x9D3E,  0x5A45,  0x1863,  0x9B8E,  0x424B,  0x9C02,  // 0xE51x
      0x9BFF,  0x9C0C,  0x9E68,  0x9DD4,  0x9FB7,  0xA192,  0xA1AB,  0xA0E1,  
      0xA123,  0xA1DF,  0x9D7E,  0x9D83,  0xA134,  0x9E0E,  0x6888,  0x9DC4,  // 0xE52x
      0x215B,  0xA193,  0xA220,  0x193B,  0xA233,  0x9D39,  0xA0B9,  0xA2B4,  
      0x9E90,  0x9E95,  0x9E9E,  0x9EA2,  0x4D34,  0x9EAA,  0x9EAF,  0x4364,  // 0xE53x
      0x9EC1,  0x3B60,  0x39E5,  0x3D1D,  0x4F32,  0x37BE,  0x8C2B,  0x9F02,  
      0x9F08,  0x4B96,  0x9424,  0x6DA2,  0x9F17,  0x9F16,  0x9F39,  0x569F,  // 0xE54x
      0x568A,  0x9F45,  0x99B8,  0x908B,  0x97F2,  0x847F,  0x9F62,  0x9F69,  
      0x7ADC,  0x9F8E,  0x7216,  0x4BBE,  0x4975,  0x49BB,  0x7177,  0x49F8,  // 0xE55x
      0x4348,  0x4A51,  0x739E,  0x8BDA,  0x18FA,  0x799F,  0x897E,  0x8E36,  
      0x9369,  0x93F3,  0x8A44,  0x92EC,  0x9381,  0x93CB,  0x896C,  0x44B9,  // 0xE56x
      0x7217,  0x3EEB,  0x7772,  0x7A43,  0x70D0,  0x4473,  0x43F8,  0x717E,  
      0x17EF,  0x70A3,  0x18BE,  0x3599,  0x3EC7,  0x1885,  0x542F,  0x17F8,  // 0xE57x
      0x3722,  0x16FB,  0x1839,  0x36E1,  0x1774,  0x18D1,  0x5F4B,  0x3723,  
      0x16C0,  0x575B,  0x4A25,  0x13FE,  0x12A8,  0x13C6,  0x14B6,  0x8503,  // 0xE58x
      0x36A6,  0x8503,  0x8455,  0x4994,  0x7165,  0x3E31,  0x555C,  0x3EFB,  
      0x7052,  0x44F4,  0x36EE,  0x999D,  0x6F26,  0x67F9,  0x3733,  0x3C15,  // 0xE59x
      0x3DE7,  0x586C,  0x1922,  0x6810,  0x4057,  0x373F,  0x40E1,  0x408B,  
      0x410F,  0x6C21,  0x54CB,  0x569E,  0x66B1,  0x5692,  0x0FDF,  0x0BA8,  // 0xE5Ax
      0x0E0D,  0x93C6,  0x8B13,  0x939C,  0x4EF8,  0x512B,  0x3819,  0x4436,  
      0x4EBC,  0x0465,  0x037F,  0x4F4B,  0x4F8A,  0x5651,  0x5A68,  0x01AB,  // 0xE5Bx
      0x03CB,  0x3999,  0x030A,  0x0414,  0x3435,  0x4F29,  0x02C0,  0x8EB3,  
      0x0275,  0x8ADA,  0x020C,  0x4E98,  0x50CD,  0x510D,  0x4FA2,  0x4F03,  // 0xE5Cx
      0x4A0E,  0x3E8A,  0x4F42,  0x502E,  0x506C,  0x5081,  0x4FCC,  0x4FE5,  
      0x5058,  0x50FC,  0x5159,  0x515B,  0x515D,  0x515E,  0x6E76,  0x3595,  // 0xE5Dx
      0x3E39,  0x3EBF,  0x6D72,  0x1884,  0x3E89,  0x51A8,  0x51C3,  0x05E0,  
      0x44DD,  0x04A3,  0x0492,  0x0491,  0x8D7A,  0x8A9C,  0x070E,  0x5259,  // 0xE5Ex
      0x52A4,  0x0873,  0x52E1,  0x936E,  0x467A,  0x718C,  0x438C,  0x0C20,  
      0x49AC,  0x10E4,  0x69D1,  0x0E1D,  0x7479,  0x3EDE,  0x7499,  0x7414,  // 0xE5Fx
      0x7456,  0x7398,  0x4B8E,  0x4ABC,  0x408D,  0x53D0,  0x3584,  0x720F,  
} ;


static const unsigned short HkUni2uniTable_E6 [] = {
      0x40C9,  0x55B4,  0x0345,  0x54CD,  0x0BC6,  0x571D,  0x925D,  0x96F4,  // 0xE60x
      0x9366,  0x57DD,  0x578D,  0x577F,  0x363E,  0x58CB,  0x5A99,  0x8A46,  
      0x16FA,  0x176F,  0x1710,  0x5A2C,  0x59B8,  0x928F,  0x5A7E,  0x5ACF,  // 0xE61x
      0x5A12,  0x5946,  0x19F3,  0x1861,  0x4295,  0x36F5,  0x6D05,  0x7443,  
      0x5A21,  0x5E83,  0x5A81,  0x8BD7,  0x0413,  0x93E0,  0x748C,  0x1303,  // 0xE62x
      0x7105,  0x4972,  0x9408,  0x89FB,  0x93BD,  0x37A0,  0x5C1E,  0x5C9E,  
      0x5E5E,  0x5E48,  0x1996,  0x197C,  0x3AEE,  0x5ECD,  0x5B4F,  0x1903,  // 0xE63x
      0x1904,  0x3701,  0x18A0,  0x36DD,  0x16FE,  0x36D3,  0x812A,  0x8A47,  
      0x1DBA,  0x3472,  0x89A8,  0x5F0C,  0x5F0E,  0x1927,  0x17AB,  0x5A6B,  // 0xE64x
      0x173B,  0x5B44,  0x8614,  0x75FD,  0x8860,  0x607E,  0x2860,  0x262B,  
      0x5FDB,  0x3EB8,  0x25AF,  0x25BE,  0x9088,  0x6F73,  0x61C0,  0x003E,  // 0xE65x
      0x0046,  0x261B,  0x6199,  0x6198,  0x6075,  0x2C9B,  0x2D07,  0x46D4,  
      0x914D,  0x6471,  0x4665,  0x2B6A,  0x3A29,  0x2B22,  0x3450,  0x98EA,  // 0xE66x
      0x2E78,  0x6337,  0xA45B,  0x64B6,  0x6331,  0x63D1,  0x49E3,  0x2D67,  
      0x62A4,  0x2CA1,  0x643B,  0x656B,  0x6972,  0x3BF4,  0x308E,  0x32AD,  // 0xE67x
      0x4989,  0x32AB,  0x550D,  0x32E0,  0x18D9,  0x943F,  0x66CE,  0x3289,  
      0x31B3,  0x3AE0,  0x4190,  0x5584,  0x8B22,  0x558F,  0x16FC,  0x555B,  // 0xE68x
      0x5425,  0x78EE,  0x3103,  0x182A,  0x3234,  0x3464,  0x320F,  0x3182,  
      0x42C9,  0x668E,  0x6D24,  0x666B,  0x4B93,  0x6630,  0x7870,  0x1DEB,  // 0xE69x
      0x6663,  0x32D2,  0x32E1,  0x661E,  0x5872,  0x38D1,  0x383A,  0x37BC,  
      0x3B99,  0x37A2,  0x33FE,  0x74D0,  0x3B96,  0x678F,  0x462A,  0x68B6,  // 0xE6Ax
      0x681E,  0x3BC4,  0x6ABE,  0x3863,  0x37D5,  0x4487,  0x6A33,  0x6A52,  
      0x6AC9,  0x6B05,  0x1912,  0x6511,  0x6898,  0x6A4C,  0x3BD7,  0x6A7A,  // 0xE6Bx
      0x6B57,  0x3FC0,  0x3C9A,  0x93A0,  0x92F2,  0x8BEA,  0x8ACB,  0x9289,  
      0x801E,  0x89DC,  0x9467,  0x6DA5,  0x6F0B,  0x49EC,  0x6D67,  0x3F7F,  // 0xE6Cx
      0x3D8F,  0x6E04,  0x403C,  0x5A3D,  0x6E0A,  0x5847,  0x6D24,  0x7842,  
      0x713B,  0x431A,  0x4276,  0x70F1,  0x7250,  0x7287,  0x7294,  0x478F,  // 0xE6Dx
      0x4725,  0x5179,  0x4AA4,  0x05EB,  0x747A,  0x3EF8,  0x365F,  0x4A4A,  
      0x4917,  0x5FE1,  0x3F06,  0x3EB1,  0x4ADF,  0x8C23,  0x3F35,  0x60A7,  // 0xE6Ex
      0x3EF3,  0x74CC,  0x743C,  0x9387,  0x7437,  0x449F,  0x6DEA,  0x4551,  
      0x7583,  0x3F63,  0x4CD9,  0x4D06,  0x3F58,  0x7555,  0x7673,  0xA5C6,  // 0xE6Fx
      0x3B19,  0x7468,  0x8ACC,  0x49AB,  0x498E,  0x3AFB,  0x3DCD,  0x4A4E,  
} ;


static const unsigned short HkUni2uniTable_E7 [] = {
      0x3EFF,  0x49C5,  0x48F3,  0x91FA,  0x5732,  0x9342,  0x8AE3,  0x1864,  // 0xE70x
      0x50DF,  0x5221,  0x51E7,  0x7778,  0x3232,  0x770E,  0x770F,  0x777B,  
      0x4697,  0x3781,  0x3A5E,  0x48F0,  0x7438,  0x749B,  0x3EBF,  0x4ABA,  // 0xE71x
      0x4AC7,  0x40C8,  0x4A96,  0x61AE,  0x9307,  0x5581,  0x781E,  0x788D,  
      0x7888,  0x78D2,  0x73D0,  0x7959,  0x7741,  0x56E3,  0x410E,  0x799B,  // 0xE72x
      0x8496,  0x79A5,  0x6A2D,  0x3EFA,  0x7A3A,  0x79F4,  0x416E,  0x16E6,  
      0x4132,  0x9235,  0x79F1,  0x0D4C,  0x498C,  0x0299,  0x3DBA,  0x176E,  // 0xE73x
      0x3597,  0x556B,  0x3570,  0x36AA,  0x01D4,  0x0C0D,  0x7AE2,  0x5A59,  
      0x26F5,  0x5AAF,  0x5A9C,  0x5A0D,  0x025B,  0x78F0,  0x5A2A,  0x5BC6,  // 0xE74x
      0x7AFE,  0x41F9,  0x7C5D,  0x7C6D,  0x4211,  0x5BB3,  0x5EBC,  0x5EA6,  
      0x7CCD,  0x49F9,  0x17B0,  0x7C8E,  0x7C7C,  0x7CAE,  0x6AB2,  0x7DDC,  // 0xE75x
      0x7E07,  0x7DD3,  0x7F4E,  0x6261,  0x615C,  0x7B48,  0x7D97,  0x5E82,  
      0x426A,  0x6B75,  0x0916,  0x67D6,  0x004E,  0x35CF,  0x57C4,  0x6412,  // 0xE76x
      0x63F8,  0x4962,  0x7FDD,  0x7B27,  0x082C,  0x5AE9,  0x5D43,  0x7B0C,  
      0x5E0E,  0x99E6,  0x8645,  0x9A63,  0x6A1C,  0x343F,  0x39E2,  0x49F7,  // 0xE77x
      0x65AD,  0x9A1F,  0x65A0,  0x8480,  0x7127,  0x6CD1,  0x44EA,  0x8137,  
      0x4402,  0x80C6,  0x8109,  0x8142,  0x67B4,  0x98C3,  0x6A42,  0x8262,  // 0xE78x
      0x8265,  0x6A51,  0x8453,  0x6DA7,  0x8610,  0x721B,  0x5A86,  0x417F,  
      0x1840,  0x5B2B,  0x18A1,  0x5AE4,  0x18D8,  0x86A0,  0xF9BC,  0x3D8F,  // 0xE79x
      0x882D,  0x7422,  0x5A02,  0x886E,  0x4F45,  0x8887,  0x88BF,  0x88E6,  
      0x8965,  0x894D,  0x5683,  0x8954,  0x7785,  0x7784,  0x8BF5,  0x8BD9,  // 0xE7Ax
      0x8B9C,  0x89F9,  0x3EAD,  0x84A3,  0x46F5,  0x46CF,  0x37F2,  0x8A3D,  
      0x8A1C,  0x9448,  0x5F4D,  0x922B,  0x4284,  0x65D4,  0x7129,  0x70C4,  // 0xE7Bx
      0x1845,  0x9D6D,  0x8C9F,  0x8CE9,  0x7DDC,  0x599A,  0x77C3,  0x59F0,  
      0x436E,  0x36D4,  0x8E2A,  0x8EA7,  0x4C09,  0x8F30,  0x8F4A,  0x42F4,  // 0xE7Cx
      0x6C58,  0x6FBB,  0x2321,  0x489B,  0x6F79,  0x6E8B,  0x17DA,  0x9BE9,  
      0x36B5,  0x492F,  0x90BB,  0x9097,  0x5571,  0x4906,  0x91BB,  0x9404,  // 0xE7Dx
      0x8A4B,  0x4062,  0x8AFC,  0x9427,  0x8C1D,  0x8C3B,  0x84E5,  0x8A2B,  
      0x9599,  0x95A7,  0x9597,  0x9596,  0x8D34,  0x7445,  0x3EC2,  0x48FF,  // 0xE7Ex
      0x4A42,  0x43EA,  0x3EE7,  0x3225,  0x968F,  0x8EE7,  0x8E66,  0x8E65,  
      0x3ECC,  0x49ED,  0x4A78,  0x3FEE,  0x7412,  0x746B,  0x3EFC,  0x9741,  // 0xE7Fx
      0x90B0,  0x6847,  0x4A1D,  0x9093,  0x57DF,  0x975D,  0x9368,  0x8989,  
} ;


static const unsigned short HkUni2uniTable_E8 [] = {
      0x8C26,  0x8B2F,  0x63BE,  0x92BA,  0x5B11,  0x8B69,  0x493C,  0x73F9,  // 0xE80x
      0x421B,  0x979B,  0x9771,  0x9938,  0x0F26,  0x5DC1,  0x8BC5,  0x4AB2,  
      0x981F,  0x94DA,  0x92F6,  0x95D7,  0x91E5,  0x44C0,  0x8B50,  0x4A67,  // 0xE81x
      0x8B64,  0x98DC,  0x8A45,  0x3F00,  0x922A,  0x4925,  0x8414,  0x993B,  
      0x994D,  0x7B06,  0x3DFD,  0x999B,  0x4B6F,  0x99AA,  0x9A5C,  0x8B65,  // 0xE82x
      0x58C8,  0x6A8F,  0x9A21,  0x5AFE,  0x9A2F,  0x98F1,  0x4B90,  0x9948,  
      0x99BC,  0x4BBD,  0x4B97,  0x937D,  0x5872,  0x1302,  0x5822,  0x49B8,  // 0xE83x
      0x14E8,  0x7844,  0x271F,  0x3DB8,  0x68C5,  0x3D7D,  0x9458,  0x3927,  
      0x6150,  0x2781,  0x296B,  0x6107,  0x9C4F,  0x9C53,  0x9C7B,  0x9C35,  // 0xE84x
      0x9C10,  0x9B7F,  0x9BCF,  0x9E2D,  0x9B9F,  0xA1F5,  0xA0FE,  0x9D21,  
      0x4CAE,  0x4104,  0x9E18,  0x4CB0,  0x9D0C,  0xA1B4,  0xA0ED,  0xA0F3,  // 0xE85x
      0x992F,  0x9DA5,  0x84BD,  0x6E12,  0x6FDF,  0x6B82,  0x85FC,  0x4533,  
      0x6DA4,  0x6E84,  0x6DF0,  0x8420,  0x85EE,  0x6E00,  0x37D7,  0x6064,  // 0xE86x
      0x79E2,  0x359C,  0x3640,  0x492D,  0x49DE,  0x3D62,  0x93DB,  0x92BE,  
      0x9348,  0x02BF,  0x78B9,  0x9277,  0x944D,  0x4FE4,  0x3440,  0x9064,  // 0xE87x
      0x555D,  0x783D,  0x7854,  0x78B6,  0x784B,  0x1757,  0x31C9,  0x4941,  
      0x369A,  0x4F72,  0x6FDA,  0x6FD9,  0x701E,  0x701E,  0x5414,  0x41B5,  // 0xE88x
      0x57BB,  0x58F3,  0x578A,  0x9D16,  0x57D7,  0x7134,  0x34AF,  0x41AC,  
      0x71EB,  0x6C40,  0x4F97,  0x5B28,  0x17B5,  0x8A49,  0x610C,  0x5ACE,  // 0xE89x
      0x5A0B,  0x42BC,  0x4488,  0x372C,  0x4B7B,  0x89FC,  0x93BB,  0x93B8,  
      0x18D6,  0x0F1D,  0x8472,  0x6CC0,  0x1413,  0x42FA,  0x2C26,  0x43C1,  // 0xE8Ax
      0x5994,  0x3DB7,  0x6741,  0x7DA8,  0x615B,  0x60A4,  0x49B9,  0x498B,  
      0x89FA,  0x92E5,  0x73E2,  0x3EE9,  0x74B4,  0x8B63,  0x189F,  0x3EE1,  // 0xE8Bx
      0x4AB3,  0x6AD8,  0x73F3,  0x73FB,  0x3ED6,  0x4A3E,  0x4A94,  0x17D9,  
      0x4A66,  0x03A7,  0x1424,  0x49E5,  0x7448,  0x4916,  0x70A5,  0x4976,  // 0xE8Cx
      0x9284,  0x73E6,  0x935F,  0x04FE,  0x9331,  0x8ACE,  0x8A16,  0x9386,  
      0x8BE7,  0x55D5,  0x4935,  0x8A82,  0x716B,  0x4943,  0x0CFF,  0x56A4,  // 0xE8Dx
      0x061A,  0x0BEB,  0x0CB8,  0x5502,  0x79C4,  0x17FA,  0x7DFE,  0x16C2,  
      0x4A50,  0x1852,  0x452E,  0x9401,  0x370A,  0x8AC0,  0x49AD,  0x59B0,  // 0xE8Ex
      0x18BF,  0x1883,  0x7484,  0x5AA1,  0x36E2,  0x3D5B,  0x36B0,  0x925F,  
      0x5A79,  0x8A81,  0x1862,  0x9374,  0x3CCD,  0x0AB4,  0x4A96,  0x398A,  // 0xE8Fx
      0x50F4,  0x3D69,  0x3D4C,  0x139C,  0x7175,  0x42FB,  0x8218,  0x6E0F,  
} ;


static const unsigned short HkUni2uniTable_E9 [] = {
      0x90E4,  0x44EB,  0x6D57,  0x7E4F,  0x7067,  0x6CAF,  0x3CD6,  0x3FED,  // 0xE90x
      0x3E2D,  0x6E02,  0x6F0C,  0x3D6F,  0x03F5,  0x7551,  0x36BC,  0x34C8,  
      0x4680,  0x3EDA,  0x4871,  0x59C4,  0x926E,  0x493E,  0x8F41,  0x8C1C,  // 0xE91x
      0x6BC0,  0x5812,  0x57C8,  0x36D6,  0x1452,  0x70FE,  0x4362,  0x4A71,  
      0x2FE3,  0x12B0,  0x23BD,  0x68B9,  0x6967,  0x1398,  0x34E5,  0x7BF4,  // 0xE92x
      0x36DF,  0x8A83,  0x37D6,  0x33FA,  0x4C9F,  0x6A1A,  0x36AD,  0x6CB7,  
      0x843E,  0x44DF,  0x44CE,  0x6D26,  0x6D51,  0x6C82,  0x6FDE,  0x6F17,  // 0xE93x
      0x7109,  0x833D,  0x173A,  0x83ED,  0x6C80,  0x7053,  0x17DB,  0x5989,  
      0x5A82,  0x17B3,  0x5A61,  0x5A71,  0x1905,  0x41FC,  0x372D,  0x59EF,  // 0xE94x
      0x173C,  0x36C7,  0x718E,  0x9390,  0x669A,  0x42A5,  0x5A6E,  0x5A2B,  
      0x4293,  0x6A2B,  0x3EF9,  0x7736,  0x445B,  0x42CA,  0x711D,  0x4259,  // 0xE95x
      0x89E1,  0x4FB0,  0x6D28,  0x5CC2,  0x44CE,  0x7E4D,  0x43BD,  0x6A0C,  
      0x4256,  0x1304,  0x70A6,  0x7133,  0x43E9,  0x3DA5,  0x6CDF,  0xF825,  // 0xE96x
      0x4A4F,  0x7E65,  0x59EB,  0x5D2F,  0x3DF3,  0x5F5C,  0x4A5D,  0x17DF,  
      0x7DA4,  0x8426,  0x5485,  0x3AFA,  0x3300,  0x0214,  0x577E,  0x08D5,  // 0xE97x
      0x0619,  0x3FE5,  0x1F9E,  0xA2B6,  0x7003,  0x915B,  0x5D70,  0x738F,  
      0x7CD3,  0x8A59,  0x9420,  0x4FC8,  0x7FE7,  0x72CD,  0x7310,  0x7AF4,  // 0xE98x
      0x7338,  0x7339,  0x56F6,  0x7341,  0x7348,  0x3EA9,  0x7B18,  0x906C,  
      0x71F5,  0x48F2,  0x73E1,  0x81F6,  0x3ECA,  0x770C,  0x3ED1,  0x6CA2,  // 0xE99x
      0x56FD,  0x7419,  0x741E,  0x741F,  0x3EE2,  0x3EF0,  0x3EF4,  0x3EFA,  
      0x74D3,  0x3F0E,  0x3F53,  0x7542,  0x756D,  0x7572,  0x758D,  0x3F7C,  // 0xE9Ax
      0x75C8,  0x75DC,  0x3FC0,  0x764D,  0x3FD7,  0x7674,  0x3FDC,  0x767A,  
      0x4F5C,  0x7188,  0x5623,  0x8980,  0x5869,  0x401D,  0x7743,  0x4039,  // 0xE9Bx
      0x6761,  0x4045,  0x35DB,  0x7798,  0x406A,  0x406F,  0x5C5E,  0x77BE,  
      0x77CB,  0x58F2,  0x7818,  0x70B9,  0x781C,  0x40A8,  0x7839,  0x7847,  // 0xE9Cx
      0x7851,  0x7866,  0x8448,  0x5535,  0x7933,  0x6803,  0x7932,  0x4103,  
      0x4109,  0x7991,  0x7999,  0x8FBB,  0x7A06,  0x8FBC,  0x4167,  0x7A91,  // 0xE9Dx
      0x41B2,  0x7ABC,  0x8279,  0x41C4,  0x7ACF,  0x7ADB,  0x41CF,  0x4E21,  
      0x7B62,  0x7B6C,  0x7B7B,  0x7C12,  0x7C1B,  0x4260,  0x427A,  0x7C7B,  // 0xE9Ex
      0x7C9C,  0x428C,  0x7CB8,  0x4294,  0x7CED,  0x8F93,  0x70C0,  0x0CCF,  
      0x7DCF,  0x7DD4,  0x7DD0,  0x7DFD,  0x7FAE,  0x7FB4,  0x729F,  0x4397,  // 0xE9Fx
      0x8020,  0x8025,  0x7B39,  0x802E,  0x8031,  0x8054,  0x3DCC,  0x57B4,  
} ;


static const unsigned short HkUni2uniTable_EA [] = {
      0x70A0,  0x80B7,  0x80E9,  0x43ED,  0x810C,  0x732A,  0x810E,  0x8112,  // 0xEA0x
      0x7560,  0x8114,  0x4401,  0x3B39,  0x8156,  0x8159,  0x815A,  0x4413,  
      0x583A,  0x817C,  0x8184,  0x4425,  0x8193,  0x442D,  0x81A5,  0x57EF,  // 0xEA1x
      0x81C1,  0x81E4,  0x8254,  0x448F,  0x82A6,  0x8276,  0x82CA,  0x82D8,  
      0x82FF,  0x44B0,  0x8357,  0x9669,  0x698A,  0x8405,  0x70F5,  0x8464,  // 0xEA2x
      0x60E3,  0x8488,  0x4504,  0x84BE,  0x84E1,  0x84F8,  0x8510,  0x8538,  
      0x8552,  0x453B,  0x856F,  0x8570,  0x85E0,  0x4577,  0x8672,  0x8692,  // 0xEA3x
      0x86B2,  0x86EF,  0x9645,  0x878B,  0x4606,  0x4617,  0x88AE,  0x88FF,  
      0x8924,  0x8947,  0x8991,  0x7967,  0x8A29,  0x8A38,  0x8A94,  0x8AB4,  // 0xEA4x
      0x8C51,  0x8CD4,  0x8CF2,  0x8D1C,  0x4798,  0x585F,  0x8DC3,  0x47ED,  
      0x4EEE,  0x8E3A,  0x55D8,  0x5754,  0x8E71,  0x55F5,  0x8EB0,  0x4837,  // 0xEA5x
      0x8ECE,  0x8EE2,  0x8EE4,  0x8EED,  0x8EF2,  0x8FB7,  0x8FC1,  0x8FCA,  
      0x8FCC,  0x9033,  0x99C4,  0x48AD,  0x98E0,  0x9213,  0x491E,  0x9228,  // 0xEA6x
      0x9258,  0x926B,  0x92B1,  0x92AE,  0x92BF,  0x92E3,  0x92EB,  0x92F3,  
      0x92F4,  0x92FD,  0x9343,  0x9384,  0x93AD,  0x4945,  0x4951,  0x9EBF,  // 0xEA7x
      0x9417,  0x5301,  0x941D,  0x942D,  0x943E,  0x496A,  0x9454,  0x9479,  
      0x952D,  0x95A2,  0x49A7,  0x95F4,  0x9633,  0x49E5,  0x67A0,  0x4A24,  // 0xEA8x
      0x9740,  0x4A35,  0x97B2,  0x97C2,  0x5654,  0x4AE4,  0x60E8,  0x98B9,  
      0x4B19,  0x98F1,  0x5844,  0x990E,  0x9919,  0x51B4,  0x991C,  0x9937,  // 0xEA9x
      0x9942,  0x995D,  0x9962,  0x4B70,  0x99C5,  0x4B9D,  0x9A3C,  0x9B0F,  
      0x7A83,  0x9B69,  0x9B81,  0x9BDD,  0x9BF1,  0x9BF4,  0x4C6D,  0x9C20,  // 0xEAAx
      0x376F,  0x1BC2,  0x9D49,  0x9C3A,  0x9EFE,  0x5650,  0x9D93,  0x9DBD,  
      0x9DC0,  0x9DFC,  0x94F6,  0x8FB6,  0x9E7B,  0x9EAC,  0x9EB1,  0x9EBD,  // 0xEABx
      0x9EC6,  0x94DC,  0x9EE2,  0x9EF1,  0x9EF8,  0x7AC8,  0x9F44,  0x0094,  
      0x02B7,  0x03A0,  0x691A,  0x94C3,  0x59AC,  0x04D7,  0x5840,  0x94C1,  // 0xEACx
      0x37B9,  0x05D5,  0x0615,  0x0676,  0x16BA,  0x5757,  0x7173,  0x0AC2,  
      0x0ACD,  0x0BBF,  0x546A,  0xF83B,  0x0BCB,  0x549E,  0x0BFB,  0x0C3B,  // 0xEADx
      0x0C53,  0x0C65,  0x0C7C,  0x60E7,  0x0C8D,  0x567A,  0x0CB5,  0x0CDD,  
      0x0CED,  0x0D6F,  0x0DB2,  0x0DC8,  0x6955,  0x9C2F,  0x87A5,  0x0E04,  // 0xEAEx
      0x0E0E,  0x0ED7,  0x0F90,  0x0F2D,  0x0E73,  0x5C20,  0x0FBC,  0x5E0B,  
      0x105C,  0x104F,  0x1076,  0x671E,  0x107B,  0x1088,  0x1096,  0x3647,  // 0xEAFx
      0x10BF,  0x10D3,  0x112F,  0x113B,  0x5364,  0x84AD,  0x12E3,  0x1375,  
} ;


static const unsigned short HkUni2uniTable_EB [] = {
      0x1336,  0x8B81,  0x1577,  0x1619,  0x17C3,  0x17C7,  0x4E78,  0x70BB,  // 0xEB0x
      0x182D,  0x196A,  0x1A2D,  0x1A45,  0x1C2A,  0x1C70,  0x1CAC,  0x1EC8,  
      0x62C3,  0x1ED5,  0x1F15,  0x7198,  0x6855,  0x2045,  0x69E9,  0x36C8,  // 0xEB1x
      0x227C,  0x23D7,  0x23FA,  0x272A,  0x2871,  0x294F,  0x82FD,  0x2967,  
      0x2993,  0x2AD5,  0x89A5,  0x2AE8,  0x8FA0,  0x2B0E,  0x97B8,  0x2B3F,  // 0xEB2x
      0x9847,  0x9ABD,  0x2C4C,  0,       0x2C88,  0x2CB7,  0x5BE8,  0x2D08,  
      0x2D12,  0x2DB7,  0x2D95,  0x2E42,  0x2F74,  0x2FCC,  0x3033,  0x3066,  // 0xEB3x
      0x331F,  0x33DE,  0x5FB1,  0x6648,  0x66BF,  0x7A79,  0x3567,  0x35F3,  
      0x7201,  0x49BA,  0x77D7,  0x361A,  0x3716,  0x7E87,  0x0346,  0x58B5,  // 0xEB4x
      0x670E,  0x6918,  0x3AA7,  0x7657,  0x5FE2,  0x3E11,  0x3EB9,  0x75FE,  
      0x209A,  0x48D0,  0x4AB8,  0x4119,  0x8A9A,  0x42EE,  0x430D,  0x403B,  // 0xEB5x
      0x4334,  0x4396,  0x4A45,  0x05CA,  0x51D2,  0x0611,  0x599F,  0x1EA8,  
      0x3BBE,  0x3CFF,  0x4404,  0x44D6,  0x5788,  0x4674,  0x399B,  0x472F,  // 0xEB6x
      0x85E8,  0x99C9,  0x3762,  0x21C3,  0x8B5E,  0x8B4E,  0x99D6,  0x4812,  
      0x48FB,  0x4A15,  0x7209,  0x4AC0,  0x0C78,  0x5965,  0x4EA5,  0x4F86,  // 0xEB7x
      0x0779,  0x8EDA,  0x502C,  0x528F,  0x573F,  0x7171,  0x5299,  0x5419,  
      0x3F4A,  0x4AA7,  0x55BC,  0x5446,  0x546E,  0x6B52,  0x91D4,  0x3473,  // 0xEB8x
      0x553F,  0x7632,  0x555E,  0x4718,  0x5562,  0x5566,  0x57C7,  0x493F,  
      0x585D,  0x5066,  0x34FB,  0x33CC,  0x60DE,  0x5903,  0x477C,  0x8948,  // 0xEB9x
      0x5AAE,  0x5B89,  0x5C06,  0x1D90,  0x57A1,  0x7151,  0x6FB6,  0x6102,  
      0x7C12,  0x9056,  0x61B2,  0x4F9A,  0x8B62,  0x6402,  0x644A,  0x5D5B,  // 0xEBAx
      0x6BF7,  0x8F36,  0x6484,  0x191C,  0x8AEA,  0x49F6,  0x6488,  0x3FEF,  
      0x6512,  0x4BC0,  0x65BF,  0x66B5,  0x271B,  0x9465,  0x57E1,  0x6195,  // 0xEBBx
      0x5A27,  0xF8CD,  0x4FBB,  0x56B9,  0x4521,  0x66FC,  0x4E6A,  0x4934,  
      0x9656,  0x6D8F,  0x6CBD,  0x3618,  0x8977,  0x6799,  0x686E,  0x6411,  // 0xEBCx
      0x685E,  0x71DF,  0x68C7,  0x7B42,  0x90C0,  0x0A11,  0x6926,  0x9104,  
      0x6939,  0x7A45,  0x9DF0,  0x69FA,  0x9A26,  0x6A2D,  0x365F,  0x6469,  // 0xEBDx
      0x0021,  0x7983,  0x6A34,  0x6B5B,  0x5D2C,  0x3519,  0x83CF,  0x6B9D,  
      0x46D0,  0x6CA4,  0x753B,  0x8865,  0x6DAE,  0x58B6,  0x371C,  0x258D,  // 0xEBEx
      0x704B,  0x71CD,  0x3C54,  0x7280,  0x7285,  0x9281,  0x217A,  0x728B,  
      0x9330,  0x72E6,  0x49D0,  0x6C39,  0x949F,  0x7450,  0x0EF8,  0x8827,  // 0xEBFx
      0x88F5,  0x2926,  0x8473,  0x17B1,  0x6EB8,  0x4A2A,  0x1820,  0x39A4,  
} ;


static const unsigned short HkUni2uniTable_EC [] = {
      0x36B9,  0x5C10,  0x79E3,  0x453F,  0x66B6,  0x9CAD,  0x98A4,  0x8943,  // 0xEC0x
      0x77CC,  0x7858,  0x56D6,  0x40DF,  0x160A,  0x39A1,  0x372F,  0x80E8,  
      0x13C5,  0x71AD,  0x8366,  0x79DD,  0x91A8,  0x5A67,  0x4CB7,  0x70AF,  // 0xEC1x
      0x89AB,  0x79FD,  0x7A0A,  0x7B0B,  0x7D66,  0x417A,  0x7B43,  0x797E,  
      0x8009,  0x6FB5,  0xA2DF,  0x6A03,  0x8318,  0x53A2,  0x6E07,  0x93BF,  // 0xEC2x
      0x6836,  0x975D,  0x816F,  0x8023,  0x69B5,  0x13ED,  0x322F,  0x8048,  
      0x5D85,  0x8C30,  0x8083,  0x5715,  0x9823,  0x8949,  0x5DAB,  0x4988,  // 0xEC3x
      0x65BE,  0x69D5,  0x53D2,  0x4AA5,  0x3F81,  0x3C11,  0x6736,  0x8090,  
      0x80F4,  0x812E,  0x1FA1,  0x814F,  0x8189,  0x81AF,  0x821A,  0x8306,  // 0xEC4x
      0x832F,  0x838A,  0x35CA,  0x8468,  0x86AA,  0x48FA,  0x63E6,  0x8956,  
      0x7808,  0x9255,  0x89B8,  0x43F2,  0x89E7,  0x43DF,  0x89E8,  0x8B46,  // 0xEC5x
      0x8BD4,  0x59F8,  0x8C09,  0x8F0B,  0x8FC5,  0x90EC,  0x7B51,  0x9110,  
      0x913C,  0x3DF7,  0x915E,  0x4ACA,  0x8FD0,  0x728F,  0x568B,  0x94E7,  // 0xEC6x
      0x95E9,  0x95B0,  0x95B8,  0x9732,  0x98D1,  0x9949,  0x996A,  0x99C3,  
      0x9A28,  0x9B0E,  0x9D5A,  0x9D9B,  0x7E9F,  0x9EF8,  0x9F23,  0x4CA4,  // 0xEC7x
      0x9547,  0xA293,  0x71A2,  0xA2FF,  0x4D91,  0x9012,  0xA5CB,  0x4D9C,  
      0x0C9C,  0x8FBE,  0x55C1,  0x8FBA,  0x24B0,  0x8FB9,  0x4A93,  0x4509,  // 0xEC8x
      0x7E7F,  0x6F56,  0x6AB1,  0x4EEA,  0x34E4,  0x8B2C,  0x789D,  0x373A,  
      0x8E80,  0x17F5,  0x8024,  0x8B6C,  0x8B99,  0x7A3E,  0x66AF,  0x3DEB,  // 0xEC9x
      0x7655,  0x3CB7,  0x5635,  0x5956,  0x4E9A,  0x5E81,  0x6258,  0x56BF,  
      0x0E6D,  0x8E0E,  0x5B6D,  0x3E88,  0x4C9E,  0x63DE,  0x62D0,  0x17F6,  // 0xECAx
      0x187B,  0x6530,  0x562D,  0x5C4A,  0x541A,  0x5311,  0x3DC6,  0x9D98,  
      0x4C7D,  0x5622,  0x561E,  0x7F49,  0x5ED8,  0x5975,  0x3D40,  0x8770,  // 0xECBx
      0x4E1C,  0x0FEA,  0x0D49,  0x36BA,  0x8117,  0x9D5E,  0x8D18,  0x763B,  
      0x9C45,  0x764E,  0x77B9,  0x9345,  0x5432,  0x8148,  0x82F7,  0x5625,  // 0xECCx
      0x8132,  0x8418,  0x80BD,  0x55EA,  0x7962,  0x5643,  0x5416,  0x0E9D,  
      0x35CE,  0x5605,  0x55F1,  0x66F1,  0x82E2,  0x362D,  0x7534,  0x55F0,  // 0xECDx
      0x55BA,  0x5497,  0x5572,  0x0C41,  0x0C96,  0x5ED0,  0x5148,  0x0E76,  
      0x2C62,  0x0EA2,  0x9EAB,  0x7D5A,  0x55DE,  0x1075,  0x629D,  0x976D,  // 0xECEx
      0x5494,  0x8CCD,  0x71F6,  0x9176,  0x63FC,  0x63B9,  0x63FE,  0x5569,  
      0x2B43,  0x9C72,  0x2EB3,  0x519A,  0x34DF,  0x0DA7,  0x51A7,  0x544D,  // 0xECFx
      0x551E,  0x5513,  0x7666,  0x8E2D,  0x688A,  0x75B1,  0x80B6,  0x8804,  
} ;


static const unsigned short HkUni2uniTable_ED [] = {
      0x8786,  0x88C7,  0x81B6,  0x841C,  0x10C1,  0x44EC,  0x7304,  0x4706,  // 0xED0x
      0x5B90,  0x830B,  0x6893,  0x567B,  0x26F4,  0x7D2F,  0x41A3,  0x7D73,  
      0x6ED0,  0x72B6,  0x9170,  0x11D9,  0x9208,  0x3CFC,  0xA6A9,  0x0EAC,  // 0xED1x
      0x0EF9,  0x7266,  0x1CA2,  0x474E,  0x4FC2,  0x7FF9,  0x0FEB,  0x40FA,  
      0x9C5D,  0x651F,  0x2DA0,  0x48F3,  0x47E0,  0x9D7C,  0x0FEC,  0x0E0A,  // 0xED2x
      0x6062,  0x75A3,  0x0FED,  0,       0x6048,  0x1187,  0x71A3,  0x7E8E,  
      0x9D50,  0x4E1A,  0x4E04,  0x3577,  0x5B0D,  0x6CB2,  0x5367,  0x36AC,  // 0xED3x
      0x39DC,  0x537D,  0x36A5,  0x4618,  0x589A,  0x4B6E,  0x822D,  0x544B,  
      0x57AA,  0x5A95,  0x0979,  0,       0x3A52,  0x2465,  0x7374,  0x9EAC,  // 0xED4x
      0x4D09,  0x9BED,  0x3CFE,  0x9F30,  0x4C5B,  0x4FA9,  0x959E,  0x9FDE,  
      0x845C,  0x3DB6,  0x72B2,  0x67B3,  0x3720,  0x632E,  0x7D25,  0x3EF7,  // 0xED5x
      0x3E2C,  0x3A2A,  0x9008,  0x52CC,  0x3E74,  0x367A,  0x45E9,  0x048E,  
      0x7640,  0x5AF0,  0x0EB6,  0x787A,  0x7F2E,  0x58A7,  0x40BF,  0x567C,  // 0xED6x
      0x9B8B,  0x5D74,  0x7654,  0xA434,  0x9E85,  0x4CE1,  0x75F9,  0x37FB,  
      0x6119,  0x30DA,  0x43F2,  0,       0x565D,  0x12A9,  0x57A7,  0x4963,  // 0xED7x
      0x9E06,  0x5234,  0x70AE,  0x35AD,  0x6C4A,  0x9D7C,  0x7C56,  0x9B39,  
      0x57DE,  0x176C,  0x5C53,  0x64D3,  0x94D0,  0x6335,  0x7164,  0x86AD,  // 0xED8x
      0x0D28,  0x6D22,  0x4AE2,  0x0D71,  0,       0x51FE,  0x1F0F,  0x5D8E,  
      0x9703,  0x1DD1,  0x9E81,  0x904C,  0x7B1F,  0x9B02,  0x5CD1,  0x7BA3,  // 0xED9x
      0x6268,  0x6335,  0x9AFF,  0x7BCF,  0x9B2A,  0x7C7E,  0x9B2E,  0x7C42,  
      0x7C86,  0x9C15,  0x7BFC,  0x9B09,  0x9F17,  0x9C1B,  0x493E,  0x9F5A,  // 0xEDAx
      0x5573,  0x5BC3,  0x4FFD,  0x9E98,  0x4FF2,  0x5260,  0x3E06,  0x52D1,  
      0x5767,  0x5056,  0x59B7,  0x5E12,  0x97C8,  0x9DAB,  0x8F5C,  0x5469,  // 0xEDBx
      0x97B4,  0x9940,  0x97BA,  0x532C,  0x6130,  0x692C,  0x53DA,  0x9C0A,  
      0x9D02,  0x4C3B,  0x9641,  0x6980,  0x50A6,  0x7546,  0x176D,  0x99DA,  // 0xEDCx
      0x5273,  0,       0x9159,  0x9681,  0x915C,  0,       0x9151,  0x8E97,  
      0x637F,  0x6D23,  0x6ACA,  0x5611,  0x918E,  0x757A,  0x6285,  0x03FC,  // 0xEDDx
      0x734F,  0x7C70,  0x5C21,  0x3CFD,  0,       0x4919,  0x76D6,  0x9B9D,  
      0x4E2A,  0x0CD4,  0x83BE,  0x8842,  0,       0x5C4A,  0x69C0,  0x50ED,  // 0xEDEx
      0x577A,  0x521F,  0x5DF5,  0x4ECE,  0x6C31,  0x01F2,  0x4F39,  0x549C,  
      0x54DA,  0x529A,  0x8D82,  0x35FE,  0x5F0C,  0x35F3,  0,       0x6B52,  // 0xEDFx
      0x917C,  0x9FA5,  0x9B97,  0x982E,  0x98B4,  0x9ABA,  0x9EA8,  0x9E84,  
} ;


static const unsigned short HkUni2uniTable_EE [] = {
      0x717A,  0x7B14,  0,       0x6BFA,  0x8818,  0x7F78,  0,       0x5620,  // 0xEE0x
      0xA64A,  0x8E77,  0x9F53,  0,       0x8DD4,  0x8E4F,  0x9E1C,  0x8E01,  
      0x6282,  0x837D,  0x8E28,  0x8E75,  0x7AD3,  0x4A77,  0x7A3E,  0x78D8,  // 0xEE1x
      0x6CEA,  0x8A67,  0x7607,  0x8A5A,  0x9F26,  0x6CCE,  0x87D6,  0x75C3,  
      0xA2B2,  0x7853,  0xF840,  0x8D0C,  0x72E2,  0x7371,  0x8B2D,  0x7302,  // 0xEE2x
      0x74F1,  0x8CEB,  0x4ABB,  0x862F,  0x5FBA,  0x88A0,  0x44B7,  0,       
      0x183B,  0x6E05,  0,       0x8A7E,  0x251B,  0,       0x60FD,  0x7667,  // 0xEE3x
      0x9AD7,  0x9D44,  0x936E,  0x9B8F,  0x87F5,  0,       0x880F,  0x8CF7,  
      0x732C,  0x9721,  0x9BB0,  0x35D6,  0x72B2,  0x4C07,  0x7C51,  0x994A,  // 0xEE4x
      0x6159,  0x6159,  0x4C04,  0x9E96,  0x617D,  0,       0x575F,  0x616F,  
      0x62A6,  0x6239,  0x62CE,  0x3A5C,  0x61E2,  0x53AA,  0x33F5,  0x6364,  // 0xEE5x
      0x6802,  0x35D2,  0x5D57,  0x8BC2,  0x8FDA,  0x8E39,  0,       0x50D9,  
      0x1D46,  0x7906,  0x5332,  0x9638,  0x0F3B,  0x4065,  0,       0x77FE,  // 0xEE6x
      0,       0x7CC2,  0x5F1A,  0x7CDA,  0x7A2D,  0x8066,  0x8063,  0x7D4D,  
      0x7505,  0x74F2,  0x8994,  0x821A,  0x670C,  0x8062,  0x7486,  0x805B,  // 0xEE7x
      0x74F0,  0x8103,  0x7724,  0x8989,  0x67CC,  0x7553,  0x6ED1,  0x87A9,  
      0x87CE,  0x81C8,  0x878C,  0x8A49,  0x8CAD,  0x8B43,  0x772B,  0x74F8,  // 0xEE8x
      0x84DA,  0x3635,  0x69B2,  0x8DA6,  0,       0x89A9,  0x7468,  0x6DB9,  
      0x87C1,  0x4011,  0x74E7,  0x3DDB,  0x7176,  0x60A4,  0x619C,  0x3CD1,  // 0xEE9x
      0x7162,  0x6077,  0,       0x7F71,  0x8B2D,  0x7250,  0x60E9,  0x4B7E,  
      0x5220,  0x3C18,  0x3CC7,  0x5ED7,  0x7656,  0x5531,  0x1944,  0x12FE,  // 0xEEAx
      0x9903,  0x6DDC,  0x70AD,  0x5CC1,  0x61AD,  0x8A0F,  0x3677,  0x00EE,  
      0x6846,  0x4F0E,  0x4562,  0x5B1F,  0x634C,  0x9F50,  0x9EA6,  0x626B,  // 0xEEBx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEECx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEEDx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEEEx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEEFx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;

#define  HkUni2uniTable_EF  NULL
#define  HkUni2uniTable_F0  NULL
#define  HkUni2uniTable_F1  NULL

static const unsigned short HkUni2uniTable_F2 [] = {
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF20x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF21x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF22x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF23x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF24x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF25x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0x43F0,  0x4C32,  // 0xF26x
      0x4603,  0x45A6,  0x4578,  0x7267,  0x4D77,  0x45B3,  0x7CB1,  0x4CE2,  
      0x7CC5,  0x3B95,  0x4736,  0x4744,  0x4C47,  0x4C40,  0x42BF,  0x3617,  // 0xF27x
      0x7352,  0x6E8B,  0x70D2,  0x4C57,  0xA351,  0x474F,  0x45DA,  0x4C85,  
      0x7C6C,  0x4D07,  0x4AA4,  0x46A1,  0x6B23,  0x7225,  0x5A54,  0x1A63,  // 0xF28x
      0x3E06,  0x3F61,  0x664D,  0x56FB,  0,       0x7D95,  0x591D,  0x8BB9,  
      0x3DF4,  0x9734,  0x7BEF,  0x5BDB,  0x1D5E,  0x5AA4,  0x3625,  0x9EB0,  // 0xF29x
      0x5AD1,  0x5BB7,  0x5CFC,  0x676E,  0x8593,  0x9945,  0x7461,  0x749D,  
      0x3875,  0x1D53,  0x369E,  0x6021,  0x3EEC,  0x58DE,  0x3AF5,  0x7AFC,  // 0xF2Ax
      0x9F97,  0x4161,  0x890D,  0x31EA,  0x0A8A,  0x325E,  0x430A,  0x8484,  
      0x9F96,  0x942F,  0x4930,  0x8613,  0x5896,  0x974A,  0x9218,  0x79D0,  // 0xF2Bx
      0x7A32,  0x6660,  0x6A29,  0x889D,  0x744C,  0x7BC5,  0x6782,  0x7A2C,  
      0x524F,  0x9046,  0x34E6,  0x73C4,  0x5DB9,  0x74C6,  0x9FC7,  0x57B3,  // 0xF2Cx
      0x492F,  0x544C,  0x4131,  0x368E,  0x5818,  0x7A72,  0x7B65,  0x8B8F,  
      0x46AE,  0x6E88,  0x4181,  0x5D99,  0x7BAE,  0x24BC,  0x9FC8,  0x24C1,  // 0xF2Dx
      0x24C9,  0x24CC,  0x9FC9,  0x8504,  0x35BB,  0x40B4,  0x9FCA,  0x44E1,  
      0xADFF,  0x62C1,  0x706E,  0x9FCB,  0,       0,       0,       0,       // 0xF2Ex
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF2Fx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;


static const unsigned short HkUni2uniTable_F3 [] = {
      0,       0,       0,       0x31C0,  0x31C1,  0x31C2,  0x31C3,  0x31C4,  // 0xF30x
      0x010C,  0x31C5,  0x00D1,  0x00CD,  0x31C6,  0x31C7,  0x00CB,  0x1FE8,  
      0x31C8,  0x00CA,  0x31C9,  0x31CA,  0x31CB,  0x31CC,  0x010E,  0x31CD,  // 0xF31x
      0x31CE,  0x0100,  0x00C1,  0x01CD,  0x00C0,  0x0112,  0x00C9,  0x011A,  
      0x00C8,  0x014C,  0x00D3,  0x01D1,  0x00D2,  0,       0x1EBE,  0,       // 0xF32x
      0x1EC0,  0x00CA,  0x0101,  0x00E1,  0x01CE,  0x00E0,  0x0251,  0x0113,  
      0x00E9,  0x011B,  0x00E8,  0x012B,  0x00ED,  0x01D0,  0x00EC,  0x014D,  // 0xF33x
      0x00F3,  0x01D2,  0x00F2,  0x016B,  0x00FA,  0x01D4,  0x00F9,  0x01D6,  
      0x01D8,  0x01DA,  0x01DC,  0x00FC,  0,       0x1EBF,  0,       0x1EC1,  // 0xF34x
      0x00EA,  0x0261,  0x23DA,  0x23DB,  0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF35x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF36x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF37x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF38x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF39x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0xA3A9,  0x1145,  0,       0x650A,  0,       0,       0x4E3D,  0x6EDD,  // 0xF3Ax
      0x9D4E,  0x91DF,  0,       0,       0x7735,  0x6491,  0x4F1A,  0x4F28,  
      0x4FA8,  0x5156,  0x5174,  0x519C,  0x51E4,  0x52A1,  0x52A8,  0x533B,  // 0xF3Bx
      0x534E,  0x53D1,  0x53D8,  0x56E2,  0x58F0,  0x5904,  0x5907,  0x5932,  
      0x5934,  0x5B66,  0x5B9E,  0x5B9F,  0x5C9A,  0x5E86,  0x603B,  0x6589,  // 0xF3Cx
      0x67FE,  0x6804,  0x6865,  0x6D4E,  0x70BC,  0x7535,  0x7EA4,  0x7EAC,  
      0x7EBA,  0x7EC7,  0x7ECF,  0x7EDF,  0x7F06,  0x7F37,  0x827A,  0x82CF,  // 0xF3Dx
      0x836F,  0x89C6,  0x8BBE,  0x8BE2,  0x8F66,  0x8F67,  0x8F6E,  0x7411,  
      0x7CFC,  0x7DCD,  0x6946,  0x7AC9,  0x5227,  0,       0,       0,       // 0xF3Ex
      0,       0x918C,  0x78B8,  0x915E,  0x80BC,  0,       0x8D0B,  0x80F6,  
      0x09E7,  0,       0,       0x809F,  0x9EC7,  0x4CCD,  0x9DC9,  0x9E0C,  // 0xF3Fx
      0x4C3E,  0x9DF6,  0x700E,  0x9E0A,  0xA133,  0x35C1,  0,       0x6E9A,  
} ;


static const unsigned short HkUni2uniTable_F4 [] = {
      0x823E,  0x7519,  0,       0x4911,  0x9A6C,  0x9A8F,  0x9F99,  0x7987,  // 0xF40x
      0x846C,  0x1DCA,  0x05D0,  0x2AE6,  0x4E24,  0x4E81,  0x4E80,  0x4E87,  
      0x4EBF,  0x4EEB,  0x4F37,  0x344C,  0x4FBD,  0x3E48,  0x5003,  0x5088,  // 0xF41x
      0x347D,  0x3493,  0x34A5,  0x5186,  0x5905,  0x51DB,  0x51FC,  0x5205,  
      0x4E89,  0x5279,  0x5290,  0x5327,  0x35C7,  0x53A9,  0x3551,  0x53B0,  // 0xF42x
      0x3553,  0x53C2,  0x5423,  0x356D,  0x3572,  0x3681,  0x5493,  0x54A3,  
      0x54B4,  0x54B9,  0x54D0,  0x54EF,  0x5518,  0x5523,  0x5528,  0x3598,  // 0xF43x
      0x553F,  0x35A5,  0x35BF,  0x55D7,  0x35C5,  0x7D84,  0x5525,  0,       
      0x0C42,  0x0D15,  0x512B,  0x5590,  0x2CC6,  0x39EC,  0x0341,  0x8E46,  // 0xF44x
      0x4DB8,  0x94E5,  0x4053,  0x80BE,  0x777A,  0x2C38,  0x3A34,  0x47D5,  
      0x815D,  0x69F2,  0x4DEA,  0x64DD,  0x0D7C,  0x0FB4,  0x0CD5,  0x10F4,  // 0xF45x
      0x648D,  0x8E7E,  0x0E96,  0x0C0B,  0x0F64,  0x2CA9,  0x8256,  0x44D3,  
      0,       0x0D46,  0x9A4D,  0x80E9,  0x47F4,  0x4EA7,  0x2CC2,  0x9AB2,  // 0xF46x
      0x3A67,  0x95F4,  0x3FED,  0x3506,  0x52C7,  0x97D4,  0x78C8,  0x2D44,  
      0x9D6E,  0x9815,  0,       0x43D9,  0x60A5,  0x64B4,  0x54E3,  0x2D4C,  // 0xF47x
      0x2BCA,  0x1077,  0x39FB,  0x106F,  0x66DA,  0x6716,  0x79A0,  0x64EA,  
      0x5052,  0x0C43,  0x8E68,  0x21A1,  0x8B4C,  0x0731,  0,       0x480B,  // 0xF48x
      0x01A9,  0x3FFA,  0x5873,  0x2D8D,  0,       0x45C8,  0x04FC,  0x6097,  
      0x0F4C,  0x0D96,  0x5579,  0x40BB,  0x43BA,  0,       0x4AB4,  0x2A66,  // 0xF49x
      0x109D,  0x81AA,  0x98F5,  0x0D9C,  0x6379,  0x39FE,  0x2775,  0x8DC0,  
      0x56A1,  0x647C,  0x3E43,  0,       0xA601,  0x0E09,  0x2ACF,  0x2CC9,  // 0xF4Ax
      0,       0x10C8,  0x39C2,  0x3992,  0x3A06,  0x829B,  0x3578,  0x5E49,  
      0x20C7,  0x5652,  0x0F31,  0x2CB2,  0x9720,  0x34BC,  0x6C3D,  0x4E3B,  // 0xF4Bx
      0,       0,       0x7574,  0x2E8B,  0x2208,  0xA65B,  0x8CCD,  0x0E7A,  
      0x0C34,  0x681C,  0x7F93,  0x10CF,  0x2803,  0x2939,  0x35FB,  0x51E3,  // 0xF4Cx
      0x0E8C,  0x0F8D,  0x0EAA,  0x3F93,  0x0F30,  0x0D47,  0x114F,  0x0E4C,  
      0,       0x0EAB,  0x0BA9,  0x0D48,  0x10C0,  0x113D,  0x3FF9,  0x2696,  // 0xF4Dx
      0x6432,  0x0FAD,  0x33F4,  0x7639,  0x2BCE,  0x0D7E,  0x0D7F,  0x2C51,  
      0x2C55,  0x3A18,  0x0E98,  0x10C7,  0x0F2E,  0xA632,  0x6B50,  0x8CD2,  // 0xF4Ex
      0x8D99,  0x8CCA,  0x95AA,  0x54CC,  0x82C4,  0x55B9,  0,       0x9EC3,  
      0x9C26,  0x9AB6,  0x775E,  0x2DEE,  0x7140,  0x816D,  0x80EC,  0x5C1C,  // 0xF4Fx
      0x6572,  0x8134,  0x3797,  0x535F,  0x80BD,  0x91B6,  0x0EFA,  0x0E0F,  
} ;


static const unsigned short HkUni2uniTable_F5 [] = {
      0x0E77,  0x0EFB,  0x35DD,  0x4DEB,  0x3609,  0x0CD6,  0x56AF,  0x27B5,  // 0xF50x
      0x10C9,  0x0E10,  0x0E78,  0x1078,  0x1148,  0x8207,  0x1455,  0x0E79,  
      0x4E50,  0x2DA4,  0x5A54,  0x101D,  0x101E,  0x10F5,  0x10F6,  0x579C,  // 0xF51x
      0x0E11,  0x7694,  0x82CD,  0x0FB5,  0x0E7B,  0x517E,  0x3703,  0x0FB6,  
      0x1180,  0x52D8,  0xA2BD,  0x49DA,  0x183A,  0x4177,  0x827C,  0x5899,  // 0xF52x
      0x5268,  0x361A,  0x573D,  0x7BB2,  0x5B68,  0x4800,  0x4B2C,  0x9F27,  
      0x49E7,  0x9C1F,  0x9B8D,  0x5B74,  0x313D,  0x55FB,  0x35F2,  0x5689,  // 0xF53x
      0x4E28,  0x5902,  0x1BC1,  0xF878,  0x9751,  0x0086,  0x4E5B,  0x4EBB,  
      0x353E,  0x5C23,  0x5F51,  0x5FC4,  0x38FA,  0x624C,  0x6535,  0x6B7A,  // 0xF54x
      0x6C35,  0x6C3A,  0x706C,  0x722B,  0x4E2C,  0x72AD,  0x48E9,  0x7F52,  
      0x793B,  0x7CF9,  0x7F53,  0x626A,  0x34C1,  0,       0x634B,  0x8002,  // 0xF55x
      0x8080,  0x6612,  0x6951,  0x535D,  0x8864,  0x89C1,  0x78B2,  0x8BA0,  
      0x8D1D,  0x9485,  0x9578,  0x957F,  0x95E8,  0x8E0F,  0x97E6,  0x9875,  // 0xF56x
      0x98CE,  0x98DE,  0x9963,  0x9810,  0x9C7C,  0x9E1F,  0x9EC4,  0x6B6F,  
      0xF907,  0x4E37,  0x0087,  0x961D,  0x6237,  0x94A2,  0,       0x503B,  // 0xF57x
      0x6DFE,  0x9C73,  0x9FA6,  0x3DC9,  0x888F,  0x414E,  0x7077,  0x5CF5,  
      0x4B20,  0x51CD,  0x3559,  0x5D30,  0x6122,  0x8A32,  0x8FA7,  0x91F6,  // 0xF58x
      0x7191,  0x6719,  0x73BA,  0x3281,  0xA107,  0x3C8B,  0x1980,  0x4B10,  
      0x78E4,  0x7402,  0x51AE,  0x870F,  0x4009,  0x6A63,  0xA2BA,  0x4223,  // 0xF59x
      0x860F,  0x0A6F,  0x7A2A,  0x9947,  0x8AEA,  0x9755,  0x704D,  0x5324,  
      0x207E,  0x93F4,  0x76D9,  0x89E3,  0x9FA7,  0x77DD,  0x4EA3,  0x4FF0,  // 0xF5Ax
      0x50BC,  0x4E2F,  0x4F17,  0x9FA8,  0x5434,  0x7D8B,  0x5892,  0x58D0,  
      0x1DB6,  0x5E92,  0x5E99,  0x5FC2,  0x2712,  0x658B,  0x33F9,  0x6919,  // 0xF5Bx
      0x6A43,  0x3C63,  0x6CFF,  0,       0x7200,  0x4505,  0x738C,  0x3EDB,  
      0x4A13,  0x5B15,  0x74B9,  0x8B83,  0x5CA4,  0x5695,  0x7A93,  0x7BEC,  // 0xF5Cx
      0x7CC3,  0x7E6C,  0x82F8,  0x8597,  0x9FA9,  0x8890,  0x9FAA,  0x8EB9,  
      0x9FAB,  0x8FCF,  0x855F,  0x99E0,  0x9221,  0x9FAC,  0x8DB9,  0x143F,  // 0xF5Dx
      0x4071,  0x42A2,  0x5A1A,  0,       0,       0,       0x9868,  0x676B,  
      0x4276,  0x573D,  0,       0x85D6,  0x497B,  0x82BF,  0x710D,  0x4C81,  // 0xF5Ex
      0x6D74,  0x5D7B,  0x6B15,  0x6FBE,  0x9FAD,  0x9FAE,  0x5B96,  0x9FAF,  
      0x66E7,  0x7E5B,  0x6E57,  0x79CA,  0x3D88,  0x44C3,  0x3256,  0x2796,  // 0xF5Fx
      0x439A,  0x4536,  0,       0x5CD5,  0x3B1A,  0x8AF9,  0x5C78,  0x3D12,  
} ;


static const unsigned short HkUni2uniTable_F6 [] = {
      0x3551,  0x5D78,  0x9FB2,  0x7157,  0x4558,  0x40EC,  0x1E23,  0x4C77,  // 0xF60x
      0x3978,  0x344A,  0x01A4,  0x6C41,  0x8ACC,  0x4FB4,  0x0239,  0x59BF,  
      0x816C,  0x9856,  0x98FA,  0x5F3B,  0x0B9F,  0,       0x21C1,  0x896D,  // 0xF61x
      0x4102,  0x46BB,  0x9079,  0x3F07,  0x9FB3,  0xA1B5,  0x40F8,  0x37D6,  
      0x46F7,  0x6C46,  0x417C,  0x86B2,  0x73FF,  0x456D,  0x38D4,  0x549A,  // 0xF62x
      0x4561,  0x451B,  0x4D89,  0x4C7B,  0x4D76,  0x45EA,  0x3FC8,  0x4B0F,  
      0x3661,  0x44DE,  0x44BD,  0x41ED,  0x5D3E,  0x5D48,  0x5D56,  0x3DFC,  // 0xF63x
      0x380F,  0x5DA4,  0x5DB9,  0x3820,  0x3838,  0x5E42,  0x5EBD,  0x5F25,  
      0x5F83,  0x3908,  0x3914,  0x393F,  0x394D,  0x60D7,  0x613D,  0x5CE5,  // 0xF64x
      0x3989,  0x61B7,  0x61B9,  0x61CF,  0x39B8,  0x622C,  0x6290,  0x62E5,  
      0x6318,  0x39F8,  0x56B1,  0x3A03,  0x63E2,  0x63FB,  0x6407,  0x645A,  // 0xF65x
      0x3A4B,  0x64C0,  0x5D15,  0x5621,  0x9F9F,  0x3A97,  0x6586,  0x3ABD,  
      0x65FF,  0x6653,  0x3AF2,  0x6692,  0x3B22,  0x6716,  0x3B42,  0x67A4,  // 0xF66x
      0x6800,  0x3B58,  0x684A,  0x6884,  0x3B72,  0x3B71,  0x3B7B,  0x6909,  
      0x6943,  0x725C,  0x6964,  0x699F,  0x6985,  0x3BBC,  0x69D6,  0x3BDD,  // 0xF67x
      0x6A65,  0x6A74,  0x6A71,  0x6A82,  0x3BEC,  0x6A99,  0x3BF2,  0x6AAB,  
      0x6AB5,  0x6AD4,  0x6AF6,  0x6B81,  0x6BC1,  0x6BEA,  0x6C75,  0x6CAA,  // 0xF68x
      0x3CCB,  0x6D02,  0x6D06,  0x6D26,  0x6D81,  0x3CEF,  0x6DA4,  0x6DB1,  
      0x6E15,  0x6E18,  0x6E29,  0x6E86,  0x89C0,  0x6EBB,  0x6EE2,  0x6EDA,  // 0xF69x
      0x9F7F,  0x6EE8,  0x6EE9,  0x6F24,  0x6F34,  0x3D46,  0x3F41,  0x6F81,  
      0x6FBE,  0x3D6A,  0x3D75,  0x71B7,  0x5C99,  0x3D8A,  0x702C,  0x3D91,  // 0xF6Ax
      0x7050,  0x7054,  0x706F,  0x707F,  0x7089,  0x0325,  0x43C1,  0x35F1,  
      0x0ED8,  0x2460,  0x2461,  0x2462,  0x2463,  0x2464,  0x2465,  0x2466,  // 0xF6Bx
      0x2467,  0x2468,  0x2469,  0x2474,  0x2475,  0x2476,  0x2477,  0x2478,  
      0x2479,  0x247A,  0x247B,  0x247C,  0x247D,  0x2170,  0x2171,  0x2172,  // 0xF6Cx
      0x2173,  0x2174,  0x2175,  0x2176,  0x2177,  0x2178,  0x2179,  0x4E36,  
      0x4E3F,  0x4E85,  0x4EA0,  0x5182,  0x5196,  0x51AB,  0x52F9,  0x5338,  // 0xF6Dx
      0x5369,  0x53B6,  0x590A,  0x5B80,  0x5DDB,  0x2F33,  0x5E7F,  0,       
      0x5F50,  0x5F61,  0x6534,  0,       0x7592,  0,       0x8FB5,  0,       // 0xF6Ex
      0x00A8,  0x02C6,  0x30FD,  0x30FE,  0x309D,  0x309E,  0,       0,       
      0x3005,  0x3006,  0x3007,  0x30FC,  0xFF3B,  0xFF3D,  0x273D,  0x3041,  // 0xF6Fx
      0x3042,  0x3043,  0x3044,  0x3045,  0x3046,  0x3047,  0x3048,  0x3049,  
} ;


static const unsigned short HkUni2uniTable_F7 [] = {
      0x304A,  0x304B,  0x304C,  0x304D,  0x304E,  0x304F,  0x3050,  0x3051,  // 0xF70x
      0x3052,  0x3053,  0x3054,  0x3055,  0x3056,  0x3057,  0x3058,  0x3059,  
      0x305A,  0x305B,  0x305C,  0x305D,  0x305E,  0x305F,  0x3060,  0x3061,  // 0xF71x
      0x3062,  0x3063,  0x3064,  0x3065,  0x3066,  0x3067,  0x3068,  0x3069,  
      0x306A,  0x306B,  0x306C,  0x306D,  0x306E,  0x306F,  0x3070,  0x3071,  // 0xF72x
      0x3072,  0x3073,  0x3074,  0x3075,  0x3076,  0x3077,  0x3078,  0x3079,  
      0x307A,  0x307B,  0x307C,  0x307D,  0x307E,  0x307F,  0x3080,  0x3081,  // 0xF73x
      0x3082,  0x3083,  0x3084,  0x3085,  0x3086,  0x3087,  0x3088,  0x3089,  
      0x308A,  0x308B,  0x308C,  0x308D,  0x308E,  0x308F,  0x3090,  0x3091,  // 0xF74x
      0x3092,  0x3093,  0x30A1,  0x30A2,  0x30A3,  0x30A4,  0x30A5,  0x30A6,  
      0x30A7,  0x30A8,  0x30A9,  0x30AA,  0x30AB,  0x30AC,  0x30AD,  0x30AE,  // 0xF75x
      0x30AF,  0x30B0,  0x30B1,  0x30B2,  0x30B3,  0x30B4,  0x30B5,  0x30B6,  
      0x30B7,  0x30B8,  0x30B9,  0x30BA,  0x30BB,  0x30BC,  0x30BD,  0x30BE,  // 0xF76x
      0x30BF,  0x30C0,  0x30C1,  0x30C2,  0x30C3,  0x30C4,  0x30C5,  0x30C6,  
      0x30C7,  0x30C8,  0x30C9,  0x30CA,  0x30CB,  0x30CC,  0x30CD,  0x30CE,  // 0xF77x
      0x30CF,  0x30D0,  0x30D1,  0x30D2,  0x30D3,  0x30D4,  0x30D5,  0x30D6,  
      0x30D7,  0x30D8,  0x30D9,  0x30DA,  0x30DB,  0x30DC,  0x30DD,  0x30DE,  // 0xF78x
      0x30DF,  0x30E0,  0x30E1,  0x30E2,  0x30E3,  0x30E4,  0x30E5,  0x30E6,  
      0x30E7,  0x30E8,  0x30E9,  0x30EA,  0x30EB,  0x30EC,  0x30ED,  0x30EE,  // 0xF79x
      0x30EF,  0x30F0,  0x30F1,  0x30F2,  0x30F3,  0x30F4,  0x30F5,  0x30F6,  
      0x0410,  0x0411,  0x0412,  0x0413,  0x0414,  0x0415,  0x0401,  0x0416,  // 0xF7Ax
      0x0417,  0x0418,  0x0419,  0x041A,  0x041B,  0x041C,  0x041D,  0x041E,  
      0x041F,  0x0420,  0x0421,  0x0422,  0x0423,  0x0424,  0x0425,  0x0426,  // 0xF7Bx
      0x0427,  0x0428,  0x0429,  0x042A,  0x042B,  0x042C,  0x042D,  0x042E,  
      0x042F,  0x0430,  0x0431,  0x0432,  0x0433,  0x0434,  0x0435,  0x0451,  // 0xF7Cx
      0x0436,  0x0437,  0x0438,  0x0439,  0x043A,  0x043B,  0x043C,  0x043D,  
      0x043E,  0x043F,  0x0440,  0x0441,  0x0442,  0x0443,  0x0444,  0x0445,  // 0xF7Dx
      0x0446,  0x0447,  0x0448,  0x0449,  0x044A,  0x044B,  0x044C,  0x044D,  
      0x044E,  0x044F,  0x21E7,  0x21B8,  0x21B9,  0x31CF,  0x00CC,  0x4E5A,  // 0xF7Ex
      0x008A,  0x5202,  0x4491,  0x9FB0,  0x5188,  0x9FB1,  0x7607,  0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF7Fx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;


static const unsigned short HkUni2uniTable_F8 [] = {
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF80x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0xFFE2,  // 0xF81x
      0xFFE4,  0xFF07,  0xFF02,  0x3231,  0x2116,  0x2121,  0x309B,  0x309C,  
      0x2E80,  0x2E84,  0x2E86,  0x2E87,  0x2E88,  0x2E8A,  0x2E8C,  0x2E8D,  // 0xF82x
      0x2E95,  0x2E9C,  0x2E9D,  0x2EA5,  0x2EA7,  0x2EAA,  0x2EAC,  0x2EAE,  
      0x2EB6,  0x2EBC,  0x2EBE,  0x2EC6,  0x2ECA,  0x2ECC,  0x2ECD,  0x2ECF,  // 0xF83x
      0x2ED6,  0x2ED7,  0x2EDE,  0x2EE3,  0,       0,       0,       0x0283,  
      0x0250,  0x025B,  0x0254,  0x0275,  0x0153,  0x00F8,  0x014B,  0x028A,  // 0xF84x
      0x026A,  0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF85x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF86x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF87x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF88x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF89x
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Ax
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Bx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Cx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Dx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Ex
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8Fx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;

#define  HkUni2uniTable_F9  NULL
#define  HkUni2uniTable_FA  NULL
#define  HkUni2uniTable_FB  NULL
#define  HkUni2uniTable_FC  NULL
#define  HkUni2uniTable_FD  NULL
#define  HkUni2uniTable_FE  NULL
#define  HkUni2uniTable_FF  NULL


const unsigned short *HkUni2uniTable ( int C ) {

   static const unsigned short *const HkUni2uniTable_00_FF [] = {
      HkUni2uniTable_00, HkUni2uniTable_01, HkUni2uniTable_02, HkUni2uniTable_03,
      HkUni2uniTable_04, HkUni2uniTable_05, HkUni2uniTable_06, HkUni2uniTable_07,
      HkUni2uniTable_08, HkUni2uniTable_09, HkUni2uniTable_0A, HkUni2uniTable_0B,
      HkUni2uniTable_0C, HkUni2uniTable_0D, HkUni2uniTable_0E, HkUni2uniTable_0F,

      HkUni2uniTable_10, HkUni2uniTable_11, HkUni2uniTable_12, HkUni2uniTable_13,
      HkUni2uniTable_14, HkUni2uniTable_15, HkUni2uniTable_16, HkUni2uniTable_17,
      HkUni2uniTable_18, HkUni2uniTable_19, HkUni2uniTable_1A, HkUni2uniTable_1B,
      HkUni2uniTable_1C, HkUni2uniTable_1D, HkUni2uniTable_1E, HkUni2uniTable_1F,

      HkUni2uniTable_20, HkUni2uniTable_21, HkUni2uniTable_22, HkUni2uniTable_23,
      HkUni2uniTable_24, HkUni2uniTable_25, HkUni2uniTable_26, HkUni2uniTable_27,
      HkUni2uniTable_28, HkUni2uniTable_29, HkUni2uniTable_2A, HkUni2uniTable_2B,
      HkUni2uniTable_2C, HkUni2uniTable_2D, HkUni2uniTable_2E, HkUni2uniTable_2F,

      HkUni2uniTable_30, HkUni2uniTable_31, HkUni2uniTable_32, HkUni2uniTable_33,
      HkUni2uniTable_34, HkUni2uniTable_35, HkUni2uniTable_36, HkUni2uniTable_37,
      HkUni2uniTable_38, HkUni2uniTable_39, HkUni2uniTable_3A, HkUni2uniTable_3B,
      HkUni2uniTable_3C, HkUni2uniTable_3D, HkUni2uniTable_3E, HkUni2uniTable_3F,

      HkUni2uniTable_40, HkUni2uniTable_41, HkUni2uniTable_42, HkUni2uniTable_43,
      HkUni2uniTable_44, HkUni2uniTable_45, HkUni2uniTable_46, HkUni2uniTable_47,
      HkUni2uniTable_48, HkUni2uniTable_49, HkUni2uniTable_4A, HkUni2uniTable_4B,
      HkUni2uniTable_4C, HkUni2uniTable_4D, HkUni2uniTable_4E, HkUni2uniTable_4F,

      HkUni2uniTable_50, HkUni2uniTable_51, HkUni2uniTable_52, HkUni2uniTable_53,
      HkUni2uniTable_54, HkUni2uniTable_55, HkUni2uniTable_56, HkUni2uniTable_57,
      HkUni2uniTable_58, HkUni2uniTable_59, HkUni2uniTable_5A, HkUni2uniTable_5B,
      HkUni2uniTable_5C, HkUni2uniTable_5D, HkUni2uniTable_5E, HkUni2uniTable_5F,

      HkUni2uniTable_60, HkUni2uniTable_61, HkUni2uniTable_62, HkUni2uniTable_63,
      HkUni2uniTable_64, HkUni2uniTable_65, HkUni2uniTable_66, HkUni2uniTable_67,
      HkUni2uniTable_68, HkUni2uniTable_69, HkUni2uniTable_6A, HkUni2uniTable_6B,
      HkUni2uniTable_6C, HkUni2uniTable_6D, HkUni2uniTable_6E, HkUni2uniTable_6F,

      HkUni2uniTable_70, HkUni2uniTable_71, HkUni2uniTable_72, HkUni2uniTable_73,
      HkUni2uniTable_74, HkUni2uniTable_75, HkUni2uniTable_76, HkUni2uniTable_77,
      HkUni2uniTable_78, HkUni2uniTable_79, HkUni2uniTable_7A, HkUni2uniTable_7B,
      HkUni2uniTable_7C, HkUni2uniTable_7D, HkUni2uniTable_7E, HkUni2uniTable_7F,

      HkUni2uniTable_80, HkUni2uniTable_81, HkUni2uniTable_82, HkUni2uniTable_83,
      HkUni2uniTable_84, HkUni2uniTable_85, HkUni2uniTable_86, HkUni2uniTable_87,
      HkUni2uniTable_88, HkUni2uniTable_89, HkUni2uniTable_8A, HkUni2uniTable_8B,
      HkUni2uniTable_8C, HkUni2uniTable_8D, HkUni2uniTable_8E, HkUni2uniTable_8F,

      HkUni2uniTable_90, HkUni2uniTable_91, HkUni2uniTable_92, HkUni2uniTable_93,
      HkUni2uniTable_94, HkUni2uniTable_95, HkUni2uniTable_96, HkUni2uniTable_97,
      HkUni2uniTable_98, HkUni2uniTable_99, HkUni2uniTable_9A, HkUni2uniTable_9B,
      HkUni2uniTable_9C, HkUni2uniTable_9D, HkUni2uniTable_9E, HkUni2uniTable_9F,

      HkUni2uniTable_A0, HkUni2uniTable_A1, HkUni2uniTable_A2, HkUni2uniTable_A3,
      HkUni2uniTable_A4, HkUni2uniTable_A5, HkUni2uniTable_A6, HkUni2uniTable_A7,
      HkUni2uniTable_A8, HkUni2uniTable_A9, HkUni2uniTable_AA, HkUni2uniTable_AB,
      HkUni2uniTable_AC, HkUni2uniTable_AD, HkUni2uniTable_AE, HkUni2uniTable_AF,

      HkUni2uniTable_B0, HkUni2uniTable_B1, HkUni2uniTable_B2, HkUni2uniTable_B3,
      HkUni2uniTable_B4, HkUni2uniTable_B5, HkUni2uniTable_B6, HkUni2uniTable_B7,
      HkUni2uniTable_B8, HkUni2uniTable_B9, HkUni2uniTable_BA, HkUni2uniTable_BB,
      HkUni2uniTable_BC, HkUni2uniTable_BD, HkUni2uniTable_BE, HkUni2uniTable_BF,

      HkUni2uniTable_C0, HkUni2uniTable_C1, HkUni2uniTable_C2, HkUni2uniTable_C3,
      HkUni2uniTable_C4, HkUni2uniTable_C5, HkUni2uniTable_C6, HkUni2uniTable_C7,
      HkUni2uniTable_C8, HkUni2uniTable_C9, HkUni2uniTable_CA, HkUni2uniTable_CB,
      HkUni2uniTable_CC, HkUni2uniTable_CD, HkUni2uniTable_CE, HkUni2uniTable_CF,

      HkUni2uniTable_D0, HkUni2uniTable_D1, HkUni2uniTable_D2, HkUni2uniTable_D3,
      HkUni2uniTable_D4, HkUni2uniTable_D5, HkUni2uniTable_D6, HkUni2uniTable_D7,
      HkUni2uniTable_D8, HkUni2uniTable_D9, HkUni2uniTable_DA, HkUni2uniTable_DB,
      HkUni2uniTable_DC, HkUni2uniTable_DD, HkUni2uniTable_DE, HkUni2uniTable_DF,

      HkUni2uniTable_E0, HkUni2uniTable_E1, HkUni2uniTable_E2, HkUni2uniTable_E3,
      HkUni2uniTable_E4, HkUni2uniTable_E5, HkUni2uniTable_E6, HkUni2uniTable_E7,
      HkUni2uniTable_E8, HkUni2uniTable_E9, HkUni2uniTable_EA, HkUni2uniTable_EB,
      HkUni2uniTable_EC, HkUni2uniTable_ED, HkUni2uniTable_EE, HkUni2uniTable_EF,

      HkUni2uniTable_F0, HkUni2uniTable_F1, HkUni2uniTable_F2, HkUni2uniTable_F3,
      HkUni2uniTable_F4, HkUni2uniTable_F5, HkUni2uniTable_F6, HkUni2uniTable_F7,
      HkUni2uniTable_F8, HkUni2uniTable_F9, HkUni2uniTable_FA, HkUni2uniTable_FB,
      HkUni2uniTable_FC, HkUni2uniTable_FD, HkUni2uniTable_FE, HkUni2uniTable_FF,
   } ;

   if ( (unsigned) C <= 0xFF ) return HkUni2uniTable_00_FF [ C ] ;

   return NULL ;
}



///////////////////////////////////////////////////////////////////////////////////////
//                   HKSCS (UNICODE PUA) --> UNICODE (CJK ex.B) BIT
///////////////////////////////////////////////////////////////////////////////////////


#ifndef GetShortArrayBit
#define GetShortArrayBit(Array,Index)  ( ( (Array) [ (Index) >> 4 ] >> ( (Index) & 0xF ) ) & 1 )
#endif


#define  HkUni2uniBitTable_00  NULL
#define  HkUni2uniBitTable_01  NULL
#define  HkUni2uniBitTable_02  NULL
#define  HkUni2uniBitTable_03  NULL
#define  HkUni2uniBitTable_04  NULL
#define  HkUni2uniBitTable_05  NULL
#define  HkUni2uniBitTable_06  NULL
#define  HkUni2uniBitTable_07  NULL
#define  HkUni2uniBitTable_08  NULL
#define  HkUni2uniBitTable_09  NULL
#define  HkUni2uniBitTable_0A  NULL
#define  HkUni2uniBitTable_0B  NULL
#define  HkUni2uniBitTable_0C  NULL
#define  HkUni2uniBitTable_0D  NULL

static const unsigned short HkUni2uniBitTable_0E [] = {
      0x560D,  0x7D7C,  0x602D,  0x19FD,  0x1020,  0x9400,  0x1053,  0x2132,  // 0xE0xx
      0x1680,  0x7618,  0x4AC0,  0x5400,  0x05A8,  0x9031,  0x5BBC,  0x2B04,  
      0x0E48,  0x3031,  0x01C2,  0x0243,  0x25A6,  0x26F1,  0x0704,  0x9B26,  // 0xE1xx
      0x8AA1,  0x8069,  0x4451,  0xF95B,  0x3132,  0x24B0,  0x8844,  0x4485,  
      0x1CA7,  0x9A7D,  0x85C3,  0x688A,  0xFD20,  0x001E,  0xE902,  0x2402,  // 0xE2xx
      0x0B04,  0x8E73,  0x0052,  0xC5BC,  0x0282,  0x4310,  0x3A87,  0x9103,  
      0x9143,  0x992A,  0x1020,  0x2863,  0x0124,  0x1814,  0x8035,  0x0AB4,  // 0xE3xx
      0x2746,  0xCD5A,  0x13E5,  0x3E36,  0xB108,  0x0720,  0x608A,  0xA51D,  
      0x0E00,  0x6810,  0x3168,  0x5C44,  0x7113,  0x6603,  0xD7AE,  0xC056,  // 0xE4xx
      0x67D0,  0x00E6,  0x881E,  0x07F8,  0x6242,  0x3240,  0xC1D0,  0x8340,  
      0xA426,  0xF454,  0xDF13,  0x4080,  0x0808,  0xDBB0,  0x60C4,  0x76ED,  // 0xE5xx
      0xF97D,  0xE41D,  0x85D3,  0xCDA6,  0x0305,  0x9B80,  0xC26E,  0x180B,  
      0x8015,  0x1E07,  0x089A,  0x959C,  0xC967,  0xE3BC,  0xC5ED,  0xBBC2,  // 0xE6xx
      0xDDF9,  0xD6C5,  0x3046,  0x6604,  0x04A3,  0xED86,  0x4073,  0x9C8C,  
      0x16C6,  0x2D8B,  0x8830,  0x30F8,  0xE097,  0xB806,  0x73B6,  0x35A1,  // 0xE7xx
      0x2A50,  0x02D5,  0x03F4,  0x1112,  0x4410,  0x3502,  0xEB90,  0x990E,  
      0xD107,  0x05CA,  0xA182,  0x0DA0,  0x6806,  0x39E2,  0x16E7,  0xE102,  // 0xE8xx
      0x8080,  0x2436,  0xF6FB,  0xE161,  0x68AF,  0xA76B,  0x2763,  0x4826,  
      0x1189,  0xD180,  0xDFE7,  0x7578,  0x2132,  0x75BD,  0xC193,  0x2DB8,  // 0xE9xx
      0x4486,  0x0002,  0,       0x0001,  0x0800,  0,       0x8000,  0,       
      0,       0,       0,       0,       0x0008,  0,       0,       0,       // 0xEAxx
      0,       0,       0x0200,  0x8000,  0x9E23,  0xD7DB,  0x5F8F,  0xCF77,  
      0xFF3D,  0xBF26,  0xF4AB,  0xE3FF,  0xFC5A,  0xAFF9,  0xABAE,  0xC5DB,  // 0xEBxx
      0xF73B,  0x8FA9,  0xED6D,  0xB25D,  0x75E4,  0xADA9,  0xDB92,  0x6E66,  
      0xD360,  0x3F99,  0xFC55,  0x98A6,  0x9BFF,  0xB5D4,  0xFF8D,  0x4A6F,  // 0xECxx
      0x6051,  0x6F7E,  0xA999,  0x0E50,  0x8000,  0xD810,  0x0023,  0x1025,  
      0xF490,  0x75EB,  0x36F4,  0x2800,  0xECA6,  0x819E,  0x0814,  0x05A6,  // 0xEDxx
      0x4F72,  0x0002,  0x0040,  0,       0x8040,  0x2C82,  0x2002,  0,       
      0x0100,  0x0822,  0x0405,  0x0013,  0x0100,  0x2840,  0x0411,  0x5040,  // 0xEExx
      0,       0x1002,  0xF7FC,  0x0093,  0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEFxx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;


static const unsigned short HkUni2uniBitTable_0F [] = {
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF0xx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF1xx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0x4800,  0x17C1,  // 0xF2xx
      0x83D1,  0x2094,  0x3E2E,  0,       0x4810,  0x13AA,  0x0001,  0,       
      0xCD00,  0x0042,  0,       0,       0,       0,       0,       0,       // 0xF3xx
      0,       0,       0x1003,  0,       0,       0,       0,       0x1601,  
      0x0F00,  0,       0,       0x2000,  0x2B57,  0xFCF7,  0xF26E,  0x7B90,  // 0xF4xx
      0xE93B,  0x4983,  0xA6F0,  0xFC9D,  0xF7BB,  0xFEBE,  0x83FD,  0xD10C,  
      0xFFAB,  0xBF7B,  0x047F,  0x2C18,  0x4000,  0x4648,  0x0820,  0x2204,  // 0xF5xx
      0x582A,  0x1A48,  0x0009,  0x2251,  0x0031,  0x00C0,  0x0D50,  0x10C0,  
      0x4C61,  0x24D4,  0x809A,  0,       0,       0,       0,       0,       // 0xF6xx
      0,       0x4010,  0x2000,  0x0001,  0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF7xx
      0,       0,       0,       0,       0,       0,       0x4140,  0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF8xx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xF9xx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFAxx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFBxx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFCxx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFDxx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFExx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xFFxx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;



const unsigned short *HkUni2uniBitTable ( int C ) {

   static const unsigned short *const HkUni2uniBitTable_00_0F [] = {
      HkUni2uniBitTable_00, HkUni2uniBitTable_01, HkUni2uniBitTable_02, HkUni2uniBitTable_03,
      HkUni2uniBitTable_04, HkUni2uniBitTable_05, HkUni2uniBitTable_06, HkUni2uniBitTable_07,
      HkUni2uniBitTable_08, HkUni2uniBitTable_09, HkUni2uniBitTable_0A, HkUni2uniBitTable_0B,
      HkUni2uniBitTable_0C, HkUni2uniBitTable_0D, HkUni2uniBitTable_0E, HkUni2uniBitTable_0F,
   } ;

   if ( (unsigned) C <= 0x0F ) return HkUni2uniBitTable_00_0F [ C ] ;

   return NULL ;
}



///////////////////////////////////////////////////////////////////////////////////////
//                   GCCS non HKSCS (UNICODE PUA) --> UNICODE  BIT
///////////////////////////////////////////////////////////////////////////////////////


#ifndef GetShortArrayBit
#define GetShortArrayBit(Array,Index)  ( ( (Array) [ (Index) >> 4 ] >> ( (Index) & 0xF ) ) & 1 )
#endif


#define  GccsUni2uniBitTable_00  NULL
#define  GccsUni2uniBitTable_01  NULL
#define  GccsUni2uniBitTable_02  NULL
#define  GccsUni2uniBitTable_03  NULL
#define  GccsUni2uniBitTable_04  NULL
#define  GccsUni2uniBitTable_05  NULL
#define  GccsUni2uniBitTable_06  NULL
#define  GccsUni2uniBitTable_07  NULL
#define  GccsUni2uniBitTable_08  NULL
#define  GccsUni2uniBitTable_09  NULL
#define  GccsUni2uniBitTable_0A  NULL
#define  GccsUni2uniBitTable_0B  NULL
#define  GccsUni2uniBitTable_0C  NULL
#define  GccsUni2uniBitTable_0D  NULL

static const unsigned short GccsUni2uniBitTable_0E [] = {
      0,       0x8000,  0x0040,  0,       0,       0x0800,  0x0008,  0x0008,  // 0xE0xx
      0,       0,       0x0020,  0,       0,       0,       0,       0x0008,  
      0,       0,       0x4000,  0x0010,  0x0200,  0,       0x0040,  0,       // 0xE1xx
      0,       0x0002,  0,       0x0400,  0x0200,  0,       0,       0,       
      0,       0,       0x3000,  0x0001,  0,       0,       0x0040,  0,       // 0xE2xx
      0x0040,  0,       0x0008,  0x1000,  0,       0,       0x8000,  0,       
      0,       0,       0,       0x0400,  0x8001,  0x0400,  0x0008,  0x9000,  // 0xE3xx
      0,       0,       0,       0,       0x0020,  0x1080,  0,       0,       
      0,       0x0180,  0,       0,       0x0400,  0,       0,       0x0100,  // 0xE4xx
      0x0020,  0,       0,       0,       0x0020,  0x0400,  0,       0,       
      0,       0,       0,       0,       0x0020,  0,       0,       0,       // 0xE5xx
      0x0200,  0,       0,       0,       0,       0x003C,  0x0800,  0x0010,  
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xE6xx
      0,       0,       0,       0,       0x0040,  0,       0,       0,       
      0,       0,       0x0080,  0,       0,       0,       0,       0,       // 0xE7xx
      0,       0,       0,       0,       0,       0x0008,  0,       0x2000,  
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xE8xx
      0x0010,  0x0008,  0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xE9xx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEAxx
      0,       0,       0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0x0025,  0,       0x4000,  0,       // 0xEBxx
      0x0040,  0x4010,  0x0200,  0x0400,  0x8200,  0x4004,  0,       0,       
      0x0006,  0x0020,  0,       0,       0,       0x4800,  0,       0,       // 0xECxx
      0,       0,       0x0040,  0,       0,       0,       0,       0,       
      0,       0,       0x0100,  0,       0,       0,       0x4000,  0x1000,  // 0xEDxx
      0,       0x4000,  0x0010,  0,       0,       0,       0x0080,  0x0010,  
      0,       0,       0,       0x4000,  0,       0x0004,  0,       0,       // 0xEExx
      0x4000,  0x2100,  0,       0,       0,       0,       0,       0,       
      0,       0,       0,       0,       0,       0,       0,       0,       // 0xEFxx
      0,       0,       0,       0,       0,       0,       0,       0,       
} ;

#define  GccsUni2uniBitTable_0F  NULL


const unsigned short *GccsUni2uniBitTable ( int C ) {

   static const unsigned short *const GccsUni2uniBitTable_00_0F [] = {
      GccsUni2uniBitTable_00, GccsUni2uniBitTable_01, GccsUni2uniBitTable_02, GccsUni2uniBitTable_03,
      GccsUni2uniBitTable_04, GccsUni2uniBitTable_05, GccsUni2uniBitTable_06, GccsUni2uniBitTable_07,
      GccsUni2uniBitTable_08, GccsUni2uniBitTable_09, GccsUni2uniBitTable_0A, GccsUni2uniBitTable_0B,
      GccsUni2uniBitTable_0C, GccsUni2uniBitTable_0D, GccsUni2uniBitTable_0E, GccsUni2uniBitTable_0F,
   } ;

   if ( (unsigned) C <= 0x0F ) return GccsUni2uniBitTable_00_0F [ C ] ;

   return NULL ;
}



///////////////////////////////////////////////////////////////////////////////////////
//                                      Function
///////////////////////////////////////////////////////////////////////////////////////



int HkscsUni2uni ( int C, int IsConvertGccs ) {

   if ( ! IsConvertGccs ) {
      const unsigned short *pBitTable = GccsUni2uniBitTable ( C >> 12 ) ;
      if ( pBitTable && GetShortArrayBit ( pBitTable, C & 0xFFF ) ) return 0 ;
   }

   int cResult = 0 ;

   const unsigned short *pTable = HkUni2uniTable ( C >> 8 ) ;
   if ( pTable ) cResult = pTable [ C & 0xFF ] ;

   const unsigned short *pBitTable = HkUni2uniBitTable ( C >> 12 ) ;
   if ( pBitTable && GetShortArrayBit ( pBitTable, C & 0xFFF ) ) cResult += 0x20000 ;

   return cResult ;
}



