// storechr.cpp

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "msc.h"
#include "storechr.h"



//////////////////////////////
//          ANSI          //
//////////////////////////////



// obt@̖ɕi[iANSIŁj
// C  EOF Ȃobt@̃TCY₷
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSA *StoreCharsA ( int C, STOREDCHARSA *StoredChars ) {

   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSA*) STOREDCHARS_ERROR ;

   if ( ! StoredChars ) {
      StoredChars = (STOREDCHARSA*) malloc ( sizeof(STOREDCHARSA) ) ;
      if ( ! StoredChars ) return (STOREDCHARSA*) STOREDCHARS_ERROR ;
      memzero ( StoredChars, sizeof(STOREDCHARSA) ) ;
   }

   if ( (size_t)( StoredChars->szEnd - StoredChars->szStart + 1 ) >= StoredChars->dwBufferSize ) {
      size_t dwNewBufferSize = ( StoredChars->dwBufferSize ) ? StoredChars->dwBufferSize * 4 : 0x100 ;
      char *szNewBuffer = (char*) realloc ( StoredChars->szStart, dwNewBufferSize * sizeof(char) ) ;
      if ( ! szNewBuffer || dwNewBufferSize < StoredChars->dwBufferSize ) {
         FreeStoredCharsA ( StoredChars ) ;
         return (STOREDCHARSA*) STOREDCHARS_ERROR ;
      }
      if ( ! StoredChars->szStart ) *szNewBuffer = 0 ;
      char *szOldBuffer = StoredChars->szStart ;
      StoredChars->szStart = szNewBuffer ;
      StoredChars->szWrite += szNewBuffer - szOldBuffer ;
      StoredChars->szEnd += szNewBuffer - szOldBuffer ;
      StoredChars->dwBufferSize = dwNewBufferSize ;
   }

   if ( C != EOF ) {
      *( StoredChars->szWrite ) = (unsigned char) C ;
      StoredChars->szWrite ++ ;
      *( StoredChars->szWrite ) = 0 ;
   }

   StoredChars->szEnd ++ ;

   return StoredChars ;
}



// obt@̖ɕ̕i[iANSIŁj
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSA *StoreCharsStringA ( const char *szString, STOREDCHARSA *StoredChars ) {
   for ( ; *szString ; szString ++ ) {
      StoredChars = StoreCharsA ( *szString, StoredChars ) ;
   }
   return StoredChars ;
}



// obt@̕ɂiANSIŁj
void ClearStoredCharsA ( STOREDCHARSA *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   StoredChars->szWrite = StoredChars->szStart ;
   StoredChars->szEnd = StoredChars->szStart ;
   *StoredChars->szStart = 0 ;
}



// obt@iANSIŁj
void FreeStoredCharsA ( STOREDCHARSA *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   free ( StoredChars->szStart ) ;
   free ( StoredChars ) ;
}



// obt@̐擪AhXԂiANSIŁj
// s璷 0 ̕Ԃ
char *GetStoredCharsA ( STOREDCHARSA *StoredChars ) {
   static char szDummy [] = "" ;
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return szDummy ;
   return StoredChars->szStart ;
}



// obt@̐擪ɕi[iANSIŁj
// G[Ȃ EOF Ԃ
STOREDCHARSA *PushStoredCharsA ( int C, STOREDCHARSA *StoredChars ) {

   StoredChars = StoreCharsA ( C, StoredChars ) ;
   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSA*) STOREDCHARS_ERROR ;

   for ( char *p = StoredChars->szWrite - 2 ; p >= StoredChars->szStart ; p -- ) *( p + 1 ) = *p ;

   *StoredChars->szStart = (unsigned char) C ;

   return StoredChars ;
}



// obt@̐擪̕Ԃobt@k߂iANSIŁj
// G[Ȃ EOF Ԃ
int PopStoredCharsA ( STOREDCHARSA *StoredChars ) {

   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return EOF ;
   if ( StoredChars->szWrite <= StoredChars->szStart ) return EOF ;

   int C = (unsigned char) *StoredChars->szStart ;
   for ( char *p = StoredChars->szStart ; p < StoredChars->szWrite ; p ++ ) *p = *( p + 1 ) ;
   StoredChars->szWrite -- ;
   StoredChars->szEnd -- ;

   return C ;
}



//////////////////////////////
//         UNICODE        //
//////////////////////////////



// obt@̖ɕi[iUNICODEŁj
// C  EOF Ȃobt@̃TCY₷
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSW *StoreCharsW ( int C, STOREDCHARSW *StoredChars ) {

   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSW*) STOREDCHARS_ERROR ;

   if ( ! StoredChars ) {
      StoredChars = (STOREDCHARSW*) malloc ( sizeof(STOREDCHARSW) ) ;
      if ( ! StoredChars ) return (STOREDCHARSW*) STOREDCHARS_ERROR ;
      memzero ( StoredChars, sizeof(STOREDCHARSW) ) ;
   }

   if ( (size_t)( StoredChars->szEnd - StoredChars->szStart + 1 ) >= StoredChars->dwBufferSize ) {
      size_t dwNewBufferSize = ( StoredChars->dwBufferSize ) ? StoredChars->dwBufferSize * 4 : 0x100 ;
      wchar_t *szNewBuffer = (wchar_t*) realloc ( StoredChars->szStart, dwNewBufferSize * sizeof(wchar_t) ) ;
      if ( ! szNewBuffer || dwNewBufferSize < StoredChars->dwBufferSize ) {
         FreeStoredCharsW ( StoredChars ) ;
         return (STOREDCHARSW*) STOREDCHARS_ERROR ;
      }
      if ( ! StoredChars->szStart ) *szNewBuffer = 0 ;
      wchar_t *szOldBuffer = StoredChars->szStart ;
      StoredChars->szStart = szNewBuffer ;
      StoredChars->szWrite += szNewBuffer - szOldBuffer ;
      StoredChars->szEnd += szNewBuffer - szOldBuffer ;
      StoredChars->dwBufferSize = dwNewBufferSize ;
   }

   if ( C != EOF ) {
      *( StoredChars->szWrite ) = (wchar_t) C ;
      StoredChars->szWrite ++ ;
      *( StoredChars->szWrite ) = 0 ;
   }

   StoredChars->szEnd ++ ;

   return StoredChars ;
}



// obt@̖ɕ̕i[iUNICODEŁj
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSW *StoreCharsStringW ( const wchar_t *szString, STOREDCHARSW *StoredChars ) {
   for ( ; *szString ; szString ++ ) {
      StoredChars = StoreCharsW ( *szString, StoredChars ) ;
   }
   return StoredChars ;
}



// obt@̕ɂiUNICODEŁj
void ClearStoredCharsW ( STOREDCHARSW *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   StoredChars->szWrite = StoredChars->szStart ;
   StoredChars->szEnd = StoredChars->szStart ;
   *StoredChars->szStart = 0 ;
}



// obt@iUNICODEŁj
void FreeStoredCharsW ( STOREDCHARSW *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   free ( StoredChars->szStart ) ;
   free ( StoredChars ) ;
}



// obt@̐擪AhXԂiUNICODEŁj
// s璷 0 ̕Ԃ
wchar_t *GetStoredCharsW ( STOREDCHARSW *StoredChars ) {
   static wchar_t szDummy [] = L"" ;
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return szDummy ;
   return StoredChars->szStart ;
}



// obt@̐擪ɕi[iUNICODEŁj
// G[Ȃ EOF Ԃ
STOREDCHARSW *PushStoredCharsW ( int C, STOREDCHARSW *StoredChars ) {

   StoredChars = StoreCharsW ( C, StoredChars ) ;
   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSW*) STOREDCHARS_ERROR ;

   for ( wchar_t *p = StoredChars->szWrite - 2 ; p >= StoredChars->szStart ; p -- ) *( p + 1 ) = *p ;

   *StoredChars->szStart = (wchar_t) C ;

   return StoredChars ;
}



// obt@̐擪̕Ԃobt@k߂iUNICODEŁj
// G[Ȃ EOF Ԃ
int PopStoredCharsW ( STOREDCHARSW *StoredChars ) {

   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return EOF ;
   if ( StoredChars->szWrite <= StoredChars->szStart ) return EOF ;

   int C = *StoredChars->szStart ;
   for ( wchar_t *p = StoredChars->szStart ; p < StoredChars->szWrite ; p ++ ) *p = *( p + 1 ) ;
   StoredChars->szWrite -- ;
   StoredChars->szEnd -- ;

   return C ;
}



//////////////////////////////
//          UTF32         //
//////////////////////////////



// obt@̖ɕi[iUTF32Łj
// C  EOF Ȃobt@̃TCY₷
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSW32 *StoreCharsW32 ( int C, STOREDCHARSW32 *StoredChars ) {

   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSW32*) STOREDCHARS_ERROR ;

   if ( ! StoredChars ) {
      StoredChars = (STOREDCHARSW32*) malloc ( sizeof(STOREDCHARSW32) ) ;
      if ( ! StoredChars ) return (STOREDCHARSW32*) STOREDCHARS_ERROR ;
      memzero ( StoredChars, sizeof(STOREDCHARSW32) ) ;
   }

   if ( (size_t)( StoredChars->szEnd - StoredChars->szStart + 1 ) >= StoredChars->dwBufferSize ) {
      size_t dwNewBufferSize = ( StoredChars->dwBufferSize ) ? StoredChars->dwBufferSize * 4 : 0x100 ;
      wchar32_t *szNewBuffer = (wchar32_t*) realloc ( StoredChars->szStart, dwNewBufferSize * sizeof(wchar32_t) ) ;
      if ( ! szNewBuffer || dwNewBufferSize < StoredChars->dwBufferSize ) {
         FreeStoredCharsW32 ( StoredChars ) ;
         return (STOREDCHARSW32*) STOREDCHARS_ERROR ;
      }
      if ( ! StoredChars->szStart ) *szNewBuffer = 0 ;
      wchar32_t *szOldBuffer = StoredChars->szStart ;
      StoredChars->szStart = szNewBuffer ;
      StoredChars->szWrite += szNewBuffer - szOldBuffer ;
      StoredChars->szEnd += szNewBuffer - szOldBuffer ;
      StoredChars->dwBufferSize = dwNewBufferSize ;
   }

   if ( C != EOF ) {
      *( StoredChars->szWrite ) = C ;
      StoredChars->szWrite ++ ;
      *( StoredChars->szWrite ) = 0 ;
   }

   StoredChars->szEnd ++ ;

   return StoredChars ;
}



// obt@̖ɕ̕i[iUTF32Łj
// obt@ԂAs STOREDCHARS_ERROR Ԃ
STOREDCHARSW32 *StoreCharsStringW32 ( const wchar32_t *szString, STOREDCHARSW32 *StoredChars ) {
   for ( ; *szString ; szString ++ ) {
      StoredChars = StoreCharsW32 ( *szString, StoredChars ) ;
   }
   return StoredChars ;
}



// obt@̕ɂiUTF32Łj
void ClearStoredCharsW32 ( STOREDCHARSW32 *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   StoredChars->szWrite = StoredChars->szStart ;
   StoredChars->szEnd = StoredChars->szStart ;
   *StoredChars->szStart = 0 ;
}



// obt@iUTF32Łj
void FreeStoredCharsW32 ( STOREDCHARSW32 *StoredChars ) {
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return ;
   free ( StoredChars->szStart ) ;
   free ( StoredChars ) ;
}



// obt@̐擪AhXԂiUTF32Łj
// s璷 0 ̕Ԃ
wchar32_t *GetStoredCharsW32 ( STOREDCHARSW32 *StoredChars ) {
   static wchar32_t szDummy [] = { 0 } ;
   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return szDummy ;
   return StoredChars->szStart ;
}



// obt@̐擪ɕi[iUTF32Łj
// G[Ȃ EOF Ԃ
STOREDCHARSW32 *PushStoredCharsW32 ( int C, STOREDCHARSW32 *StoredChars ) {

   StoredChars = StoreCharsW32 ( C, StoredChars ) ;
   if ( StoredChars == STOREDCHARS_ERROR ) return (STOREDCHARSW32*) STOREDCHARS_ERROR ;

   for ( wchar32_t *p = StoredChars->szWrite - 2 ; p >= StoredChars->szStart ; p -- ) *( p + 1 ) = *p ;

   *StoredChars->szStart = C ;

   return StoredChars ;
}



// obt@̐擪̕Ԃobt@k߂iUTF32Łj
// G[Ȃ EOF Ԃ
int PopStoredCharsW32 ( STOREDCHARSW32 *StoredChars ) {

   if ( ! StoredChars || StoredChars == STOREDCHARS_ERROR ) return EOF ;
   if ( StoredChars->szWrite <= StoredChars->szStart ) return EOF ;

   int C = *StoredChars->szStart ;
   for ( wchar32_t *p = StoredChars->szStart ; p < StoredChars->szWrite ; p ++ ) *p = *( p + 1 ) ;
   StoredChars->szWrite -- ;
   StoredChars->szEnd -- ;

   return C ;
}



