// loadcmd_c.cpp

#include <windows.h>
#include <stdio.h>
#include "msc.h"
#include "access.h"
#include "environ.h"
#include "execute.h"
#include "filename.h"
#include "reg.h"
#include "res.h"
#include "resource.h"
#include "shfolder.h"
#include "stringex.h"
#include "winmain.h"

#include "conv_reg.h"



#define SHORTSTRING_MAX             0x80

// pXݒ́ANTnł AddEnvPath() 
//               95nł̓ob`t@C



int main ( int argc, char *argv [] ) {


   const int IsOsUnicode = IsNT () ;


   // ̏
   for ( int nCountArgv = 1 ; nCountArgv < argc ; nCountArgv ++ ) {
      char *szArgv = argv [ nCountArgv ] ;
      if ( *szArgv == '/' || *szArgv == '-' ) {
         switch ( szArgv [ 1 ] ) {
            case 'E' :
            case 'e' :
               SetResourceLanguage ( LANGID_ENGLISH ) ;
               break ;
            case 'J' :
            case 'j' :
               SetResourceLanguage ( LANGID_JAPANESE ) ;
               break ;
            default :
               break ;
         }
      }
   }


   if ( IsOsUnicode ) {

      wchar_t szFolder [ MAX_PATH ] ;
      wchar_t szBatFileName [ MAX_PATH ] ;


      // }ChLgtH_擾
      if ( GetSpecialFolderPathW ( NULL, szFolder, CSIDL_PERSONAL, 0 ) ) {
         if ( GetSpecialFolderPathW ( NULL, szFolder, CSIDL_DESKTOP, 0 ) ) wcscpy ( szFolder, L"C:\\" ) ;
      }
      SetCurrentDirectoryW ( szFolder ) ;


      // ̃pXݒi΁j
      if ( IsOsUnicode && ! GetRegStringW ( HKEY_LOCAL_MACHINE, REG_SUBKEY_SUB_W, L"Path", szFolder, MAX_PATH, REG_MODE_NORMAL ) ) {
         SetPathSeparatorW ( szFolder, ADD_SEPARATOR_ONLY_ROOT ) ;
         AddEnvPathW ( szFolder, TRUE ) ;
      }


      // pXݒ
      if ( GetRegStringW ( HKEY_LOCAL_MACHINE, REG_SUBKEY_W, L"Path", szFolder, MAX_PATH, REG_MODE_NORMAL ) ) {
         GetModuleFileNameW ( NULL, szFolder, MAX_PATH ) ;
         ChangeFileNameW ( szFolder, NULL ) ;
      }
      SetPathSeparatorW ( szFolder, ADD_SEPARATOR_ONLY_ROOT ) ;
      if ( IsOsUnicode && AddEnvPathW ( szFolder, TRUE ) ) {
         wchar_t szCommandName [ SHORTSTRING_MAX ] ;
         LoadStringExW ( IDS_COMMANDNAME, szCommandName, SHORTSTRING_MAX ) ;
         MessageBoxW ( NULL, GetStringW ( IDS_NOT_ENOUGH_MEMORY ), szCommandName, MB_OK ) ;
         return 1 ;
      }


      // ob`t@Cݒ
      wcscpy ( szBatFileName, szFolder ) ;
      SetPathSeparatorW ( szBatFileName, ADD_SEPARATOR_ALWAYS ) ;
      wcscat ( szBatFileName, GetStringW ( IDS_BAT_FILENAME ) ) ;


      // R}hC^[v^擾
      int nResult = GetEnvironmentVariableW ( L"COMSPEC", szFolder, MAX_PATH ) ;
      if ( nResult <= 0 || nResult > MAX_PATH ) {
         if ( IsOsUnicode ) wcscpy ( szFolder, L"CMD.EXE" ) ;
         else               wcscpy ( szFolder, L"COMMAND.COM" ) ;
      }


      // CMD.EXE ̊g@\t
      const wchar_t *szComspecAddtional = ( IsOsUnicode ) ? L" /f:on" : L"" ;    // "f:on" ̑Oɋ󔒂


      // R}hC쐬
      wchar_t szCommandLine [ MAX_PATH + MAX_PATH + 0x10 ] ;
      if ( IsFileExistW ( szBatFileName ) ) swprintf ( szCommandLine, L"\"%s\"%s /K \"%s\"", szFolder, szComspecAddtional, szBatFileName ) ;
      else                                  swprintf ( szCommandLine, L"\"%s\"%s", szFolder, szComspecAddtional ) ;


      // s
      ExecuteW ( szCommandLine, -1, 0, NULL ) ;

   }
   else {

      char szFolder [ MAX_PATH ] ;
      char szBatFileName [ MAX_PATH ] ;


      // }ChLgtH_擾
      if ( GetSpecialFolderPathA ( NULL, szFolder, CSIDL_PERSONAL, 0 ) ) {
         if ( GetSpecialFolderPathA ( NULL, szFolder, CSIDL_DESKTOP, 0 ) ) strcpy ( szFolder, "C:\\" ) ;
      }
      SetCurrentDirectoryA ( szFolder ) ;


      // ̃pXݒi΁j
      if ( IsOsUnicode && ! GetRegStringA ( HKEY_LOCAL_MACHINE, REG_SUBKEY_SUB_A, "Path", szFolder, MAX_PATH, REG_MODE_NORMAL ) ) {
         SetPathSeparatorA ( szFolder, ADD_SEPARATOR_ONLY_ROOT ) ;
         AddEnvPathA ( szFolder, TRUE ) ;
      }


      // pXݒ
      if ( GetRegStringA ( HKEY_LOCAL_MACHINE, REG_SUBKEY_A, "Path", szFolder, MAX_PATH, REG_MODE_NORMAL ) ) {
         GetModuleFileNameA ( NULL, szFolder, MAX_PATH ) ;
         ChangeFileNameA ( szFolder, NULL ) ;
      }
      SetPathSeparatorA ( szFolder, ADD_SEPARATOR_ONLY_ROOT ) ;
      if ( IsOsUnicode && AddEnvPathA ( szFolder, TRUE ) ) {
         char szCommandName [ SHORTSTRING_MAX ] ;
         LoadStringExA ( IDS_COMMANDNAME, szCommandName, SHORTSTRING_MAX ) ;
         MessageBoxA ( NULL, GetStringA ( IDS_NOT_ENOUGH_MEMORY ), szCommandName, MB_OK ) ;
         return 1 ;
      }


      // ob`t@Cݒ
      strcpy ( szBatFileName, szFolder ) ;
      SetPathSeparatorA ( szBatFileName, ADD_SEPARATOR_ALWAYS ) ;
      strcat ( szBatFileName, GetStringA ( IDS_BAT_FILENAME ) ) ;


      // R}hC^[v^擾
      int nResult = GetEnvironmentVariableA ( "COMSPEC", szFolder, MAX_PATH ) ;
      if ( nResult <= 0 || nResult > MAX_PATH ) {
         if ( IsOsUnicode ) strcpy ( szFolder, "CMD.EXE" ) ;
         else               strcpy ( szFolder, "COMMAND.COM" ) ;
      }


      // CMD.EXE ̊g@\t
      const char *szComspecAddtional = ( IsOsUnicode ) ? " /f:on" : "" ;      // "f:on" ̑Oɋ󔒂


      // R}hC쐬
      char szCommandLine [ MAX_PATH + MAX_PATH + 0x10 ] ;
      if ( IsFileExistA ( szBatFileName ) ) sprintf ( szCommandLine, "\"%s\"%s /K \"%s\"", szFolder, szComspecAddtional, szBatFileName ) ;
      else                                  sprintf ( szCommandLine, "\"%s\"%s", szFolder, szComspecAddtional ) ;


      // s
      ExecuteA ( szCommandLine, -1, 0, NULL ) ;

   }

   return 0 ;
}



