// setup_r.h

#ifndef SETUP_R_H
#define SETUP_R_H


typedef struct {
   const char *A ;
   const wchar_t *W ;
} STRING_A_W ;


#define EXPAND_A_W(s)   { s, L##s }



static const STRING_A_W InstallFileName [] = {
   EXPAND_A_W ( "chnconv.exe" ),       // KŏɃt@C
   EXPAND_A_W ( "chnconv.com" ),       // KQԖڂ
   EXPAND_A_W ( "chnconv.dll" ),       // KRԖڂ
   EXPAND_A_W ( "loadcmd.exe" ),       // KSԖڂ
   EXPAND_A_W ( "setup.exe" ),
   EXPAND_A_W ( "chnconv-j.html" ),
   EXPAND_A_W ( "chnconv-e.html" ),
   EXPAND_A_W ( "lang\\chnc_chs.dll" ),
   EXPAND_A_W ( "lang\\chnc_cht.dll" ),
   { NULL, NULL }
} ;


static const STRING_A_W OldFileName [] = {
   EXPAND_A_W ( "gb2cw.exe" ),
   EXPAND_A_W ( "cw2gb.exe" ),
   EXPAND_A_W ( "gb2big5.exe" ),
   EXPAND_A_W ( "big52gb.exe" ),
   EXPAND_A_W ( "tm2rtf.exe" ),
   EXPAND_A_W ( "hz2gb.exe" ),
   EXPAND_A_W ( "nh2cw.exe" ),
   EXPAND_A_W ( "cw2nh.exe" ),
   EXPAND_A_W ( "cwn2cw.exe" ),
   EXPAND_A_W ( "cw2cwn.exe" ),
   EXPAND_A_W ( "zq2cw.exe" ),
   EXPAND_A_W ( "cw2zq.exe" ),
   EXPAND_A_W ( "cx2cw.exe" ),
   EXPAND_A_W ( "cw2cx.exe" ),
   EXPAND_A_W ( "install.exe" ),
   EXPAND_A_W ( "chnconv.html" ),
   EXPAND_A_W ( "chnconv.txt" ),
   EXPAND_A_W ( "readme.txt" ),
   EXPAND_A_W ( "setccp.bat" ),
   EXPAND_A_W ( "readme-j.txt" ),
   EXPAND_A_W ( "readme-e.txt" ),
   EXPAND_A_W ( "version.txt" ),
   EXPAND_A_W ( "oldbat.zip" ),
   { NULL, NULL }
} ;


static const STRING_A_W OldBatFileName [] = {
   EXPAND_A_W ( "big52gb.bat" ),
   EXPAND_A_W ( "cw2cwn.bat" ),
   EXPAND_A_W ( "cw2cx.bat" ),
   EXPAND_A_W ( "cw2gb.bat" ),
   EXPAND_A_W ( "cw2nh.bat" ),
   EXPAND_A_W ( "cw2zq.bat" ),
   EXPAND_A_W ( "cwn2cw.bat" ),
   EXPAND_A_W ( "cx2cw.bat" ),
   EXPAND_A_W ( "gb2big5.bat" ),
   EXPAND_A_W ( "gb2cw.bat" ),
   EXPAND_A_W ( "hz2gb.bat" ),
   EXPAND_A_W ( "nh2cw.bat" ),
   EXPAND_A_W ( "tm2rtf.bat" ),
   EXPAND_A_W ( "zq2cw.bat" ),
   { NULL, NULL }
} ;


static const STRING_A_W LangDllFolder = EXPAND_A_W ( "\\lang" ) ;
static const STRING_A_W OldStartMenuFolder = EXPAND_A_W ( "Harigaya's Converter" ) ;



#endif

